using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;

using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices;
using System.Diagnostics;

namespace rspmp3net
{
    public partial class Form1 : Form
    {

        [DllImport("kernel32.dll")]
        public static extern int OutputDebugString(string data);



        private string thefile;

        //private int ret;

        private int disable = 0;
        Form2 rico;
        Form3 rico2;
        Form4 rico3;
        Form5 rico4;
        Form6 rico5;
        Form7 rico6;
        Form8 rico7;
        Form9 rico8;
        Form10 rico9;
        private int previnstance()
        {
            // int ret;
            System.Diagnostics.Process[] ret = System.Diagnostics.Process.GetProcessesByName(System.Diagnostics.Process.GetCurrentProcess().ProcessName);

            string thestring = ret.Length.ToString();

          

            if (ret.Length > 1)
            {
                return 1;
            }

            return 0;

        }

        public Form1(string filename)
        {


            thefile = filename;

            //code to add to queue


            // int ret;
            bool retb;
            string split;
            char[] cstring;

            split = thefile;

            retb = split.StartsWith("\"");



            if (retb)
            {
                string outstring;
                cstring = split.ToCharArray();



                int j;

                outstring = "";
                for (j = 1; j < cstring.Length - 1; j++)
                {

                    outstring = outstring + cstring[j];
                }

                thefile = outstring;

            }


          

            InitializeComponent();
        }



  

        private void Form1_Load(object sender, EventArgs e)
        {
           
            if (previnstance() > 0)
            {


                if (thefile.Length > 0)
                {
                    rspmp3net1.AddToQueue(thefile);
                  
                }

                System.Environment.Exit(1);
            }

            this.Text = rspmp3net1.ControlName() + " - Sample Project";


            textBox1.Text = rspmp3net1.Getsettings("filename", "");



            int ret;
            ret = int.Parse(rspmp3net1.Getsettings("loop", "0"));

            if (0 == ret)
            {
                checkBox1.CheckState = CheckState.Unchecked;
            }
            else
            {
                checkBox1.CheckState = CheckState.Checked;
            }

            comboBox2.Items.Add("IDLE");
            comboBox2.Items.Add("NORMAL");
            comboBox2.Items.Add("HIGH");
            comboBox2.Text = rspmp3net1.Getsettings("priority", "HIGH");

            ret = rspmp3net1.GetNumberofWaveOutDevices();

            if (0 == ret)
            {
                MessageBox.Show ("No soundcard installed in the system ");
                comboBox1.Text = "<no soundcard>";
                return;
            }

            disable = 1;

            int l;

            for (l = 0; l < ret; l++)
            {
                comboBox1.Items.Add(rspmp3net1.GetWaveOutDevicesName(l));
            }
            ret = int.Parse(rspmp3net1.Getsettings("waveout", "0"));
            comboBox1.SelectedIndex = ret;

            disable = 0;


            int Band60;
            int Band170;
            int Band310;
            int Band600;
            int Band1000;
            int Band3000;
            int Band6000;
            int Band12000;
            int Band14000;
            int Band16000;

            bool enable = false;
            rspmp3net1.EnableEqualizer( enable);


            ret = int.Parse(rspmp3net1.Getsettings("equalizer", "0"));

            if (1 == ret)
            {

                Band60 = int.Parse(rspmp3net1.Getsettings("band60", "50"));
                Band170 = int.Parse(rspmp3net1.Getsettings("band170", "50"));
                Band310 = int.Parse(rspmp3net1.Getsettings("band310", "50"));
                Band600 = int.Parse(rspmp3net1.Getsettings("band600", "50"));
                Band1000 = int.Parse(rspmp3net1.Getsettings("band1000", "50"));
                Band3000 = int.Parse(rspmp3net1.Getsettings("band3000", "50"));
                Band6000 = int.Parse(rspmp3net1.Getsettings("band6000", "50"));
                Band12000 = int.Parse(rspmp3net1.Getsettings("band12000", "50"));
                Band14000 = int.Parse(rspmp3net1.Getsettings("band14000", "50"));
                Band16000 = int.Parse(rspmp3net1.Getsettings("band16000", "50"));

                rspmp3net1.EqualizerSettings(  Band60,   Band170,   Band310,   Band600,
                  Band1000,   Band3000,   Band6000,   Band12000,   Band14000,
                  Band16000);
                enable = true;
                rspmp3net1.EnableEqualizer( enable);
            }

            enable = false;
            rspmp3net1.EnableOnTheFlyVolumeNormalizationFast( enable);
            rspmp3net1.EnableOnTheFlyVolumeNormalization( enable);
            rspmp3net1.EnableOnTheFlyVolumeNormalizationAndWriteTAGFast( enable);
            rspmp3net1.EnableOnTheFlyVolumeNormalizationAndWriteTAG( enable);

            ret = int.Parse(rspmp3net1.Getsettings("tagmode", "0"));



            if (1 == ret)
            {
                enable = true;
                rspmp3net1.EnableOnTheFlyVolumeNormalizationFast( enable);

            }

            if (2 == ret)
            {
                enable = true;
                rspmp3net1.EnableOnTheFlyVolumeNormalization( enable);

            }

            if (3 == ret)
            {
                enable = true;
                rspmp3net1.EnableOnTheFlyVolumeNormalizationAndWriteTAGFast( enable);

            }

            if (4 == ret)
            {
                enable = true;
                rspmp3net1.EnableOnTheFlyVolumeNormalizationAndWriteTAG( enable);

            }

            //now the wave effects

            ret = int.Parse(rspmp3net1.Getsettings("voice", "0"));

            if (ret > 0)
            {
                enable = true;
                rspmp3net1.EnableVoiceRemoval(enable);
            }
            int ret2;
            //'echo 1
            ret = int.Parse(rspmp3net1.Getsettings("echo1", "0"));
            ret2 = int.Parse(rspmp3net1.Getsettings("echo1value", "50"));

            if (ret > 0)
            {
                enable = true;
                rspmp3net1.EnableEcho(enable, ret2);
            }

            // 'pitch 1
            ret = int.Parse(rspmp3net1.Getsettings("pitch1", "0"));
            ret2 = int.Parse(rspmp3net1.Getsettings("pitch1value", "50"));

            if (ret > 0)
            {
                enable = true;
                rspmp3net1.PitchControl(enable, ret2);
            }

            //  'surround 1
            ret = int.Parse(rspmp3net1.Getsettings("surround1", "0"));

            if (ret > 0)
            {
                enable = true;
                rspmp3net1.EnableSurround( enable);
            }
            // 'surround 2
            ret = int.Parse(rspmp3net1.Getsettings("surround2", "0"));
            ret2 = int.Parse(rspmp3net1.Getsettings("surround2value", "50"));

            if (ret > 0)
            {
                enable = true;
                rspmp3net1.EnableSurround2( enable, ret2);
            }
            // 'echo 3
            ret = int.Parse(rspmp3net1.Getsettings("echo3", "0"));

            if (ret > 0)
            {
                enable = true;
                rspmp3net1.DSP2Echo3(enable);
            }
            //  'echo 4
            ret = int.Parse(rspmp3net1.Getsettings("echo4", "0"));

            if (ret > 0)
            {
                enable = true;
                rspmp3net1.DSP2Echo4(enable);
            }


            int ret3;
            int ret4;

            //'advanced
            ret = int.Parse(rspmp3net1.Getsettings("advanced", "0"));
            ret2 = int.Parse(rspmp3net1.Getsettings("advancedpitch", "0"));
            ret3 = int.Parse(rspmp3net1.Getsettings("advancedtempo", "0"));
            ret4 = int.Parse(rspmp3net1.Getsettings("advancedrate", "0"));

            if (ret > 0)
            {
                enable = true;
                rspmp3net1.NewPitchControl(enable, ret2, ret3, ret4);
            }

            // 'echo 2
            ret = int.Parse(rspmp3net1.Getsettings("echo2", "0"));

            if (ret > 0)
            {
                enable = true;
                rspmp3net1.DSP2Echo(enable);
            }

            //    'extra
            ret = int.Parse(rspmp3net1.Getsettings("extra", "0"));
            ret2 = int.Parse(rspmp3net1.Getsettings("extravalue", "250"));

            if (ret > 0)
            {
                enable = true;
                rspmp3net1.ExtraEstereo(enable, ret2);

            }
            // 'freeverb
            ret = int.Parse(rspmp3net1.Getsettings("freeverb", "0"));

            if (ret > 0)
            {
                enable = true;
                rspmp3net1.Freeverb(enable);

            }

            // 'fx
            ret = int.Parse(rspmp3net1.Getsettings("fx", "0"));

            if (ret > 0)
            {
                enable = true;
                rspmp3net1.FX_Panning(enable);

            }
            // 'noise
            ret = int.Parse(rspmp3net1.Getsettings("noise", "0"));
            ret2 = int.Parse(rspmp3net1.Getsettings("noisevalue", "31"));

            if (ret > 0)
            {
                enable = true;
                rspmp3net1.NoiseFilter(enable, ret2);

            }



            if (thefile.Length > 0)
            {
                System.EventArgs b = new EventArgs();

                textBox1.Text = thefile;

                button4_Click(this, b);
            }
        }



        private void aboutToolStripMenuItem_Click(object sender, EventArgs e)
        {
            rspmp3net1.About ();
         //   rspmp3net1.Goto_RSPSoftware();
            
        }

        private void textBox3_TextChanged(object sender, EventArgs e)
        {

        }

        private void button10_Click(object sender, EventArgs e)
        {


            rspmp3net1.EnableSpectrumAnalyzer(true);

            try
            {

                if (0 == rico2.exists)
                {
                    rico2 = new Form3(this.rspmp3net1);
                    rico2.Show();
                    rico2.exists = 1;
                    rico2.WindowState = FormWindowState.Normal;
                }
                rico2.WindowState = FormWindowState.Normal;
            }
            catch
            {
                rico2 = new Form3(this.rspmp3net1);
                rico2.Show();
                rico2.exists = 1;
                rico2.WindowState = FormWindowState.Normal;
            }
        }

        private void button4_Click(object sender, EventArgs e)
        {
            label9.Text = "Playing";
            rspmp3net1.RegisterFinishedEventMessage(false,0);


            if (checkBox5.CheckState == CheckState.Checked)
            {
                rspmp3net1.UseEncryption(true, textBox2.Text);

            }
            else
            {
                rspmp3net1.UseEncryption(false, textBox2.Text);
            }

            if (checkBox3.CheckState == CheckState.Checked)
            {
                bool enable = true;
                rspmp3net1.DisableVBR( enable);
            }
            else
            {
                bool enable = false;
                rspmp3net1.DisableVBR( enable);

            }
            rspmp3net1.SetWaveOutDevice(comboBox1.SelectedIndex);

            if (checkBox1.CheckState == CheckState.Checked)
            {
                rspmp3net1.LoopPlayback = true;
            }
            else
            {
                rspmp3net1.LoopPlayback = false;
            }

            if (checkBox2.CheckState == CheckState.Checked)
            {
                string priority;

                priority = comboBox2.Text;
                rspmp3net1.SetPriority(ref priority);
                bool enable = true;
                rspmp3net1.PlayFile(textBox1.Text,  enable);
                MessageBox.Show ("End of playback");
            }
            else
            {

                string priority;

                priority = comboBox2.Text;
                rspmp3net1.SetPriority(ref priority);
                bool enable = false;
                rspmp3net1.PlayFile(textBox1.Text,  enable);
            }
        }

        private void checkBox6_CheckedChanged(object sender, EventArgs e)
        {

        }



        private void label23_Click(object sender, EventArgs e)
        {

        }

        private void checkbox6mouseup(object sender, MouseEventArgs e)
        {
            if (checkBox6.CheckState == CheckState.Checked)
            {
                checkBox7.CheckState = CheckState.Unchecked;
                rspmp3net1.UseOldFileBufferMode();
            }
            else
            {
                checkBox7.CheckState = CheckState.Checked;
                rspmp3net1.UseSmartFileBufferMode();
            }
        }

        private void checkbox7mouseup(object sender, MouseEventArgs e)
        {
            if (checkBox7.CheckState == CheckState.Checked)
            {
                checkBox6.CheckState = CheckState.Unchecked;
                rspmp3net1.UseSmartFileBufferMode();

            }
            else
            {
                checkBox6.CheckState = CheckState.Checked;
                rspmp3net1.UseOldFileBufferMode();
            }
        }

        private void timer1_Tick(object sender, EventArgs e)
        {


            string filename;

            filename = rspmp3net1.RemoveFromQueue();

            if (filename.Length > 0)
            {
                System.EventArgs b = new EventArgs();

                textBox1.Text = filename;

                button4_Click(this, b);

            }

        }

        private void button2_Click(object sender, EventArgs e)
        {

            IntPtr b = Form1.ActiveForm.Handle;
            int c = b.ToInt32();

            string filename;
            string initialpath;

            initialpath = rspmp3net1.Getsettings("initialpath", "");

            filename = rspmp3net1.SelectFile("", "Select media file to open", "All supported files (*.mpg *.mp1 *.mp2 *.mp3 *.wav)|*.mpg;*.mp1;*.mp2;*.mp3;*.wav|All files (*.*)|*.*", initialpath, c);

            textBox1.Text = filename;

            if (filename.Length > 0)
            {

                initialpath = rspmp3net1.StripPath(filename);

                rspmp3net1.Savesettings("initialpath", initialpath);

            }



        }

        private void button5_Click(object sender, EventArgs e)
        {

            rspmp3net1.PausePlayback();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            label9.Text = "Load";
            rspmp3net1.RegisterFinishedEventMessage(false,0);


            if (checkBox5.CheckState == CheckState.Checked)
            {
                rspmp3net1.UseEncryption(true, textBox2.Text);

            }
            else
            {
                rspmp3net1.UseEncryption(false, textBox2.Text);
            }

            if (checkBox3.CheckState == CheckState.Checked)
            {
                bool enable = true;
                rspmp3net1.DisableVBR( enable);
            }
            else
            {
                bool enable = false;
                rspmp3net1.DisableVBR( enable);

            }
            rspmp3net1.SetWaveOutDevice(comboBox1.SelectedIndex);

            if (checkBox1.CheckState == CheckState.Checked)
            {
                rspmp3net1.LoopPlayback = true;
            }
            else
            {
                rspmp3net1.LoopPlayback = false;
            }


            {

                string priority;

                priority = comboBox2.Text;
                rspmp3net1.SetPriority(ref priority);
                //bool enable = false;
                rspmp3net1.OpenFile(textBox1.Text);
            }
        }

        private void button7_Click(object sender, EventArgs e)
        {

            rspmp3net1.CancelPlayback();
            label9.Text = "User stop";
        }

        private void button6_Click(object sender, EventArgs e)
        {
            rspmp3net1.ResumePlayback();
        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
           

            if (disable > 0)
            {
                return;
            }

            rspmp3net1.Savesettings("waveout", comboBox1.SelectedIndex.ToString());

        }

        private void textBox4_TextChanged(object sender, EventArgs e)
        {

            int ret = 0;

            if ("" == textBox4.Text)
            {
                return;
            }

            try
            {
                ret = int.Parse(textBox4.Text);
            }
            catch
            {
                textBox4.Text = "200000";
                return;
            }
            if (ret > 20000000)
            {
                MessageBox.Show ("File load size limit is 20 megabytes , it will avoid the system stop responding if the user pass a value larger than this , since the memory required will be too large and can make the system unstable , for a 20 megabytes file , a 20 megabytes buffer will be allocated in the memory ");
                textBox4.Text = "20000000";
                return;
            }

            rspmp3net1.PlayFromMemoryFileSizeLimit(ret);

        }

        private int debugnumber = 0;

   
      



        private void button14_Click(object sender, EventArgs e)
        {
            try
            {

                if (0 == rico.exists)
                {
                    rico = new Form2(this.rspmp3net1);
                    rico.Show();
                    rico.exists = 1;

                }
                rico.WindowState = FormWindowState.Normal;
            }
            catch
            {
                rico = new Form2(this.rspmp3net1);
                rico.Show();
                rico.exists = 1;
                rico.WindowState = FormWindowState.Normal;
            }
        }



        private void trackbar3_keyup(object sender, KeyEventArgs e)
        {
            if (checkBox4.CheckState == CheckState.Checked)
            {
                rspmp3net1.SeekBasedOnSeconds(trackBar3.Value);
            }
            else
            {
                rspmp3net1.SeekTo(trackBar3.Value);
            }


        }

        private void traclbar3_mouseup(object sender, MouseEventArgs e)
        {
            if (checkBox4.CheckState == CheckState.Checked)
            {
                rspmp3net1.SeekBasedOnSeconds(trackBar3.Value);
            }
            else
            {
                rspmp3net1.SeekTo(trackBar3.Value);
            }
        }



        private void finished(object sender, EventArgs e)
        {
            label9.Text = "Finished event raised";

            try
            {
               
                rico7.finished();
                
           }
            catch
            {

           }
           
        }



        private void trackBar1_Scroll(object sender, EventArgs e)
        {
            int ret = trackBar1.Value;
            rspmp3net1.SetVolumeGain(ref ret);
        }

        private void trackBar2_Scroll(object sender, EventArgs e)
        {
            int ret = trackBar2.Value;
            rspmp3net1.InternalVolume(ret);

        }



        private void button17_Click(object sender, EventArgs e)
        {

            label9.Text = "Converting...";
            label19.Refresh();
            this.Refresh();

            rspmp3net1.ConvertMP3ToWav(textBox1.Text, textBox3.Text);

            label9.Text = "Finished";

        }



    




        private void button16_Click(object sender, EventArgs e)
        {

            try
            {

                if (0 == rico3.exists)
                {
                    rico3 = new Form4(this.rspmp3net1);
                    rico3.Show();
                    rico3.exists = 1;
                }
                rico3.WindowState = FormWindowState.Normal;
            }
            catch
            {
                rico3 = new Form4(this.rspmp3net1);
                rico3.Show();
                rico3.exists = 1;
                rico3.WindowState = FormWindowState.Normal;
            }

        }

        private void comboBox2_SelectedIndexChanged(object sender, EventArgs e)
        {

            rspmp3net1.Savesettings("priority", comboBox2.Text);

        }

        private void button8_Click(object sender, EventArgs e)
        {
            try
            {

                if (0 == rico4.exists)
                {
                    rico4 = new Form5(this.rspmp3net1);
                    rico4.Show();
                    rico4.exists = 1;
                    rico4.WindowState = FormWindowState.Normal;
                }
                rico4.WindowState = FormWindowState.Normal;
            }
            catch
            {
                rico4 = new Form5(this.rspmp3net1);
                rico4.Show();
                rico4.exists = 1;
                rico4.WindowState = FormWindowState.Normal;
            }

        }

        private void button9_Click(object sender, EventArgs e)
        {
            try
            {

                if (0 == rico5.exists)
                {
                    rico5 = new Form6(this.rspmp3net1);
                    rico5.Show();
                    
                    rico5.exists = 1;
                    rico5.WindowState = FormWindowState.Normal;
                }
                rico5.WindowState = FormWindowState.Normal;
            }
            catch
            {
                rico5 = new Form6(this.rspmp3net1);
                rico5.Show();
                
                rico5.exists = 1;
                rico5.WindowState = FormWindowState.Normal;
            }

        }

        private void button11_Click(object sender, EventArgs e)
        {
            try
            {

                if (0 == rico6.exists)
                {
                    rico6 = new Form7();
                    rico6.filename = textBox1.Text;
                    rico6.Show();
                    rico6.finish_it = 0;
                    rico6.exists = 1;
                    

                }
                rico6.WindowState = FormWindowState.Normal;
            }
            catch
            {
                rico6 = new Form7();
                rico6.filename = textBox1.Text;
                rico6.Show();
                rico6.finish_it = 0;
                rico6.exists = 1;
                rico6.WindowState = FormWindowState.Normal;
            }

        }

        private void textBox1_TextChanged(object sender, EventArgs e)
        {
            rspmp3net1.Savesettings("filename", textBox1.Text);
        }

        private void button12_Click(object sender, EventArgs e)
        {
            try
            {

                if (0 == rico7.exists)
                {
                    rico7 = new Form8(this.rspmp3net1,this);
                    
                    rico7.Show();
                    rico7.exists = 1;


                }
                rico7.WindowState = FormWindowState.Normal;
                this.WindowState = FormWindowState.Minimized;
            }
            catch
            {
                rico7 = new Form8(this.rspmp3net1,this);
               
                rico7.Show();
                rico7.exists = 1;
                rico7.WindowState = FormWindowState.Normal;
                this.WindowState = FormWindowState.Minimized;
            }

        }

        private void checkBox1_CheckedChanged(object sender, EventArgs e)
        {

        }

        private void checkBox1_MouseUp(object sender, MouseEventArgs e)
        {


            if (checkBox1.CheckState == CheckState.Checked)
            {
                rspmp3net1.Savesettings("loop", "1");
            }
            else
            {
                rspmp3net1.Savesettings("loop", "0");
            }

        }

        private void button13_Click(object sender, EventArgs e)
        {
            try
            {

                if (0 == rico8.exists)
                {
                    rico8 = new Form9(this.rspmp3net1);

                    rico8.Show();
                    rico8.exists = 1;


                }
                rico8.WindowState = FormWindowState.Normal;
                
            }
            catch
            {
                rico8 = new Form9(this.rspmp3net1);

                rico8.Show();
                rico8.exists = 1;
                rico8.WindowState = FormWindowState.Normal;
                
            }

        }

        private void button15_Click(object sender, EventArgs e)
        {
            try
            {

                if (0 == rico9.exists)
                {
                    rico9 = new Form10(this.rspmp3net1);

                    rico9.Show();
                    rico9.exists = 1;


                }
                rico9.WindowState = FormWindowState.Normal;

            }
            catch
            {
                rico9 = new Form10(this.rspmp3net1);

                rico9.Show();
                rico9.exists = 1;
                rico9.WindowState = FormWindowState.Normal;

            }

        }

        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            System.Environment.Exit(0);
        }

        private void trackBar3_Scroll(object sender, EventArgs e)
        {
            rspmp3net1.DisableSliderUpdateDuringSeek();
        }

        private void rspmp3net1_PeakLevel(object sender, MP3NetLibrary.PeakLevelEvent e)
        {
            progressBar1.Value =e.LeftChannel;
            progressBar2.Value = e.RightChannel;
        }

        private void rspmp3net1_DebugInformation(object Sender, MP3NetLibrary.DebugInformationEventArgs e)
        {


            debugnumber++;

            try
            {
                rico.debugdata(e.DebugString );
            }
            catch
            {

            }

        }

        private void rspmp3net1_Bufferizing(object Sender, BufferizingEventArgs e)
        {


            if (1 == e.Status )
            {
                listBox1.Items.Add("Bufferizing");
            }

            if (2 == e.Status)
            {
                listBox1.Items.Add("Done");
            }

            try
            {

                int ret;

                ret = listBox1.Items.Count;
                listBox1.SelectedIndex = ret - 1;
            }
            catch
            {

            }
        }

        private void rspmp3net1_ErrorCode(object sender, MP3NetLibrary.ErrorCodeEvent e)
        {

            listBox1.Items.Add(e.ErrorNumber .ToString() + " " + e.ErrorDescription);
            int ret;

            ret = listBox1.Items.Count;
            listBox1.SelectedIndex = ret - 1;
        }

        private void rspmp3net1_Finished(object Sender, EventArgs e)
        {
            label9.Text = "Finished event raised";

            try
            {

                rico7.finished();

            }
            catch
            {

            }
           
        }

        private void rspmp3net1_MediaFileSettings(object Sender, MediaFileSettingsEventArgs e)
        {
            label5.Text = "Is VBR " + e.Is_VBR;
            label3.Text = "Sample rate " + e.Samplerate;
            label6.Text = "Bitrate " + e.Bitrate;
            label15.Text = "Mpeg version " + e.Mpeg_Version;
            label4.Text = "Channels " + e.Channels;
            label7.Text = "Mode " + e.Mpeg_Mode;
            label16.Text = "Layer " + e.Mpeg_Layer;
            label8.Text = "Normalization " + e.IsUsingNormalization;
            label17.Text = "Normalize factor " + e.NormalizationFactor;

            try
            {
                string thefilename = rico7.thefile;
                if ((thefilename.Length > 0))
                {
                    textBox1.Text = thefilename;
                    rico7.thefile = "";
                }
            }


            catch
            {
               
            }

        }

        private void rspmp3net1_PlayBackPosition(object Sender, PlayBackPositionEventArgs e)
        {
            trackBar3.Value = e.NewValue ;
        }

        private void rspmp3net1_ProgressMilliseconds(object Sender, ProgressMillisecondsEventArgs e)
        {
            label11.Text = "Position: " + e.ProgressAsLongMilliseconds;
            label12.Text = "Time Position: " + e.ProgressAsString;

        }

        private void rspmp3net1_SpectrumAnalyzer(object sender, MP3NetLibrary.SpectrumAnalyzerEvent e)
        {

            try
            {
                rico2.spectrum(e.f60, e.f170, e.f310, e.f600, e.f1000, e.f3000, e.f6000, e.f12000, e.f14000, e.f16000, e.peak);
            }
            catch
            {

            }


        }

        private void rspmp3net1_Status(object sender, MP3NetLibrary.StatusEvent e)
        {
            label2.Text = "Status " + e.StatusValue;
        }

        private void rspmp3net1_TimePositionMilliseconds(object Sender, TimePositionMillisecondsEventArgs e)
        {
            label13.Text = "Milliseconds: " + e.TimeAsMilliseconds;
            label14.Text = "Time: " + e.TimeAsString;
        }

        private void rspmp3net1_Load(object sender, EventArgs e)
        {

        }








    }
}
