using System;
//using System.Linq;
using System.Windows.Forms;

namespace rspmp3net
{
    public partial class Form10 : Form
    {
        public int exists = 0;
        MP3NetLibrary.RSPMP3Net rspmp3net1;
        public Form10(MP3NetLibrary.RSPMP3Net eu)
        {
            rspmp3net1 = eu;
            InitializeComponent();
        }

        private void Form10_Load(object sender, EventArgs e)
        {


            int ret;

            ret = int.Parse(rspmp3net1.Getsettings("voice", "0"));

            if (ret > 0)
            {
                checkBox1.CheckState = CheckState.Checked;
            }
            else
            {
                checkBox1.CheckState = CheckState.Unchecked;
            }



            // 'echo 1
            ret = int.Parse(rspmp3net1.Getsettings("echo1", "0"));
            trackBar1.Value = int.Parse(rspmp3net1.Getsettings("echo1value", "50"));

            if (ret > 0)
            {
                checkBox2.CheckState = CheckState.Checked;
            }
            else
            {
                checkBox2.CheckState = CheckState.Unchecked;
            }



            //'pitch 1
            ret = int.Parse(rspmp3net1.Getsettings("pitch1", "0"));
            trackBar2.Value = int.Parse(rspmp3net1.Getsettings("pitch1value", "50"));

            if (ret > 0)
            {
                checkBox3.CheckState = CheckState.Checked;
            }
            else
            {
                checkBox3.CheckState = CheckState.Unchecked;
            }


            //       'surround 1
            ret = int.Parse(rspmp3net1.Getsettings("surround1", "0"));

            if (ret > 0)
            {
                checkBox4.CheckState = CheckState.Checked;
            }
            else
            {
                checkBox4.CheckState = CheckState.Unchecked;
            }

            // 'surround 2
            ret = int.Parse(rspmp3net1.Getsettings("surround2", "0"));
            trackBar3.Value = int.Parse(rspmp3net1.Getsettings("surround2value", "50"));

            if (ret > 0)
            {
                checkBox5.CheckState = CheckState.Checked;
            }
            else
            {
                checkBox5.CheckState = CheckState.Unchecked;
            }

            //'echo 3
            ret = int.Parse(rspmp3net1.Getsettings("echo3", "0"));

            if (ret > 0)
            {
                checkBox6.CheckState = CheckState.Checked;
            }
            else
            {
                checkBox6.CheckState = CheckState.Unchecked;
            }


            //   'echo 4
            ret = int.Parse(rspmp3net1.Getsettings("echo4", "0"));

            if (ret > 0)
            {
                checkBox7.CheckState = CheckState.Checked;
            }
            else
            {
                checkBox7.CheckState = CheckState.Unchecked;
            }


            //  'advanced
            ret = int.Parse(rspmp3net1.Getsettings("advanced", "0"));
            trackBar4.Value = int.Parse(rspmp3net1.Getsettings("advancedpitch", "0"));
            trackBar5.Value = int.Parse(rspmp3net1.Getsettings("advancedtempo", "0"));
            trackBar6.Value = int.Parse(rspmp3net1.Getsettings("advancedrate", "0"));

            if (ret > 0)
            {
                checkBox8.CheckState = CheckState.Checked;
            }
            else
            {
                checkBox8.CheckState = CheckState.Unchecked;
            }


            //          'echo 2
            ret = int.Parse(rspmp3net1.Getsettings("echo2", "0"));

            if (ret > 0)
            {
                checkBox9.CheckState = CheckState.Checked;
            }
            else
            {
                checkBox9.CheckState = CheckState.Unchecked;
            }

            //   'extra
            ret = int.Parse(rspmp3net1.Getsettings("extra", "0"));
            trackBar7.Value = int.Parse(rspmp3net1.Getsettings("extravalue", "250"));

            if (ret > 0)
            {
                checkBox10.CheckState = CheckState.Checked;
            }
            else
            {
                checkBox10.CheckState = CheckState.Unchecked;
            }

            // 'freeverb
            ret = int.Parse(rspmp3net1.Getsettings("freeverb", "0"));


            if (ret > 0)
            {
                checkBox11.CheckState = CheckState.Checked;
            }
            else
            {
                checkBox11.CheckState = CheckState.Unchecked;
            }


            //         'fx
            ret = int.Parse(rspmp3net1.Getsettings("fx", "0"));

            if (ret > 0)
            {
                checkBox12.CheckState = CheckState.Checked;
            }
            else
            {
                checkBox12.CheckState = CheckState.Unchecked;
            }


            //  'noise
            ret = int.Parse(rspmp3net1.Getsettings("noise", "0"));
            trackBar8.Value = int.Parse(rspmp3net1.Getsettings("noisevalue", "31"));

            if (ret > 0)
            {
                checkBox13.CheckState = CheckState.Checked;
            }
            else
            {
                checkBox13.CheckState = CheckState.Unchecked;
            }

        }

        private void Form10_FormClosing(object sender, FormClosingEventArgs e)
        {
            exists = 0;
        }

        private void checkBox1_MouseUp(object sender, MouseEventArgs e)
        {


            if (checkBox1.CheckState == CheckState.Checked)
            {
                rspmp3net1.Savesettings("voice", "1");
                rspmp3net1.EnableVoiceRemoval(true);
            }
            else
            {
                rspmp3net1.Savesettings("voice", "0");
                rspmp3net1.EnableVoiceRemoval(false);
            }

        }

        private void checkBox2_MouseUp(object sender, MouseEventArgs e)
        {


            rspmp3net1.Savesettings("echo1value", trackBar1.Value.ToString());


            if (checkBox2.CheckState == CheckState.Checked)
            {
                rspmp3net1.Savesettings("echo1", "1");
                rspmp3net1.EnableEcho(true, trackBar1.Value);
            }
            else
            {

                rspmp3net1.EnableEcho(false, trackBar1.Value);
                rspmp3net1.Savesettings("echo1", "0");


            }


        }

        private void checkBox3_MouseUp(object sender, MouseEventArgs e)
        {


            rspmp3net1.Savesettings("pitch1value", trackBar2.Value.ToString());
            if (checkBox3.CheckState == CheckState.Checked)
            {
                rspmp3net1.Savesettings("pitch1", "1");
                rspmp3net1.PitchControl(true, trackBar2.Value);
            }
            else
            {
                rspmp3net1.PitchControl(false, trackBar2.Value);
                rspmp3net1.Savesettings("pitch1", "0");
            }

        }

        private void checkBox2_CheckedChanged(object sender, EventArgs e)
        {

        }

        private void checkBox3_CheckedChanged(object sender, EventArgs e)
        {

        }

        private void checkBox4_MouseUp(object sender, MouseEventArgs e)
        {


            if (checkBox4.CheckState == CheckState.Checked)
            {
                rspmp3net1.Savesettings("surround1", "1");
                bool enable = true;
                rspmp3net1.EnableSurround( enable);
            }
            else
            {
                rspmp3net1.Savesettings("surround1", "0");
                bool enable = false;
                rspmp3net1.EnableSurround( enable);
            }

        }

        private void checkBox5_MouseUp(object sender, MouseEventArgs e)
        {
            //surround 2



            rspmp3net1.Savesettings("surround2value", trackBar3.Value.ToString());
            if (checkBox5.CheckState == CheckState.Checked)
            {
                rspmp3net1.Savesettings("surround2", "1");
                bool enable = true;
                rspmp3net1.EnableSurround2( enable, trackBar3.Value);

            }
            else
            {
                bool enable = false;
                rspmp3net1.EnableSurround2( enable, trackBar3.Value);

                rspmp3net1.Savesettings("surround2", "0");
            }
        }

        private void checkBox6_MouseUp(object sender, MouseEventArgs e)
        {
            //echo 3


            if (checkBox6.CheckState == CheckState.Checked)
            {
                rspmp3net1.Savesettings("echo3", "1");
                rspmp3net1.DSP2Echo3(true);
            }
            else
            {
                rspmp3net1.Savesettings("echo3", "0");
                rspmp3net1.DSP2Echo3(false);
            }

        }

        private void checkBox7_MouseUp(object sender, MouseEventArgs e)
        {
            //echo 4

            if (checkBox7.CheckState == CheckState.Checked)
            {
                rspmp3net1.Savesettings("echo4", "1");
                rspmp3net1.DSP2Echo4(true);
            }
            else
            {
                rspmp3net1.DSP2Echo4(false);
                rspmp3net1.Savesettings("echo4", "0");

            }
        }

        private void checkBox8_MouseUp(object sender, MouseEventArgs e)
        {
            //advanced


            rspmp3net1.Savesettings("advancedpitch", trackBar4.Value.ToString ());
            rspmp3net1.Savesettings("advancedtempo", trackBar5.Value.ToString ());
            rspmp3net1.Savesettings("advancedrate", trackBar6.Value.ToString ());

            if (checkBox8.CheckState == CheckState.Checked)
            {
                rspmp3net1.Savesettings("advanced", "1");
                rspmp3net1.NewPitchControl(true, trackBar4.Value, trackBar5.Value, trackBar6.Value);

            }
            else
            {
                rspmp3net1.Savesettings("advanced", "0");
                rspmp3net1.NewPitchControl(false, trackBar4.Value, trackBar5.Value, trackBar6.Value);
            }
        }

        private void checkBox8_CheckedChanged(object sender, EventArgs e)
        {

        }

        private void button1_Click(object sender, EventArgs e)
        {
            trackBar6.Value = 0;
            trackBar5.Value = 0;
            trackBar4.Value = 0;

            rspmp3net1.Savesettings("advancedpitch", trackBar4.Value.ToString());
            rspmp3net1.Savesettings("advancedtempo", trackBar5.Value.ToString());
            rspmp3net1.Savesettings("advancedrate", trackBar6.Value.ToString());

            if (checkBox8.CheckState == CheckState.Checked)
            {
                rspmp3net1.Savesettings("advanced", "1");
                rspmp3net1.NewPitchControl(true, trackBar4.Value, trackBar5.Value, trackBar6.Value);

            }
            else
            {
                rspmp3net1.Savesettings("advanced", "0");
                rspmp3net1.NewPitchControl(false, trackBar4.Value, trackBar5.Value, trackBar6.Value);
            }
        }

        private void checkBox9_MouseUp(object sender, MouseEventArgs e)
        {
            //echo 2

            if (checkBox9.CheckState == CheckState.Checked)
            {
                rspmp3net1.Savesettings("echo2", "1");

                rspmp3net1.DSP2Echo(true);
            }
            else
            {
                rspmp3net1.Savesettings("echo2", "0");
                rspmp3net1.DSP2Echo(false);
            }

        }

        private void checkBox10_MouseUp(object sender, MouseEventArgs e)
        {
            //extra

            rspmp3net1.Savesettings("extravalue", trackBar7.Value.ToString());
            if (checkBox10.CheckState == CheckState.Checked)
            {
    rspmp3net1.Savesettings("extra", "1");
    rspmp3net1.ExtraEstereo(true, trackBar7.Value);
            }
            else
            {
                    rspmp3net1.Savesettings("extra", "0");
                    rspmp3net1.ExtraEstereo(false, trackBar7.Value);
            }
        }

        private void checkBox11_MouseUp(object sender, MouseEventArgs e)
        {
            //freeverb


            if (checkBox11.CheckState == CheckState.Checked)
            {
                rspmp3net1.Savesettings("freeverb", "1");
                rspmp3net1.Freeverb(true);
            }
            else
            {
                rspmp3net1.Savesettings("freeverb", "0");
                rspmp3net1.Freeverb(false );
            }

        }

        private void checkBox12_MouseUp(object sender, MouseEventArgs e)
        {
            //fx

            if (checkBox12.CheckState== CheckState.Checked)
            {
                rspmp3net1.Savesettings("fx", "1");
                rspmp3net1.FX_Panning(true);
            }
            else
            {
                rspmp3net1.Savesettings("fx", "0");
                rspmp3net1.FX_Panning(false);
            }
        }

        private void checkBox13_MouseUp(object sender, MouseEventArgs e)
        {
            //noise

            rspmp3net1.Savesettings("noisevalue", trackBar8.Value.ToString());

            if (checkBox13.CheckState== CheckState.Checked)
            {
                rspmp3net1.Savesettings("noise", "1");
                rspmp3net1.NoiseFilter(true, trackBar8.Value);
            }
            else
            {
                rspmp3net1.Savesettings("noise", "0");
                rspmp3net1.NoiseFilter(false, trackBar8.Value);
            }

        }

        private void trackBar1_Scroll(object sender, EventArgs e)
        {

            rspmp3net1.Savesettings("echo1value", trackBar1.Value.ToString());


            if (checkBox2.CheckState == CheckState.Checked)
            {
                rspmp3net1.Savesettings("echo1", "1");
                rspmp3net1.EnableEcho(true, trackBar1.Value);
            }
            else
            {

                rspmp3net1.EnableEcho(false, trackBar1.Value);
                rspmp3net1.Savesettings("echo1", "0");


            }
        }

        private void trackBar2_Scroll(object sender, EventArgs e)
        {

            rspmp3net1.Savesettings("pitch1value", trackBar2.Value.ToString());
            if (checkBox3.CheckState == CheckState.Checked)
            {
                rspmp3net1.Savesettings("pitch1", "1");
                rspmp3net1.PitchControl(true, trackBar2.Value);
            }
            else
            {
                rspmp3net1.PitchControl(false, trackBar2.Value);
                rspmp3net1.Savesettings("pitch1", "0");
            }

        }

        private void trackBar3_Scroll(object sender, EventArgs e)
        {
            rspmp3net1.Savesettings("surround2value", trackBar3.Value.ToString());
            if (checkBox5.CheckState == CheckState.Checked)
            {
                rspmp3net1.Savesettings("surround2", "1");
                bool enable = true;
                rspmp3net1.EnableSurround2( enable, trackBar3.Value);

            }
            else
            {
                bool enable = false;
                rspmp3net1.EnableSurround2( enable, trackBar3.Value);

                rspmp3net1.Savesettings("surround2", "0");
            }
        }

        private void trackBar4_Scroll(object sender, EventArgs e)
        {


            rspmp3net1.Savesettings("advancedpitch", trackBar4.Value.ToString());
            rspmp3net1.Savesettings("advancedtempo", trackBar5.Value.ToString());
            rspmp3net1.Savesettings("advancedrate", trackBar6.Value.ToString());

            if (checkBox8.CheckState == CheckState.Checked)
            {
                rspmp3net1.Savesettings("advanced", "1");
                rspmp3net1.NewPitchControl(true, trackBar4.Value, trackBar5.Value, trackBar6.Value);

            }
            else
            {
                rspmp3net1.Savesettings("advanced", "0");
                rspmp3net1.NewPitchControl(false, trackBar4.Value, trackBar5.Value, trackBar6.Value);
            }
        }

        private void trackBar5_Scroll(object sender, EventArgs e)
        {


            rspmp3net1.Savesettings("advancedpitch", trackBar4.Value.ToString());
            rspmp3net1.Savesettings("advancedtempo", trackBar5.Value.ToString());
            rspmp3net1.Savesettings("advancedrate", trackBar6.Value.ToString());

            if (checkBox8.CheckState == CheckState.Checked)
            {
                rspmp3net1.Savesettings("advanced", "1");
                rspmp3net1.NewPitchControl(true, trackBar4.Value, trackBar5.Value, trackBar6.Value);

            }
            else
            {
                rspmp3net1.Savesettings("advanced", "0");
                rspmp3net1.NewPitchControl(false, trackBar4.Value, trackBar5.Value, trackBar6.Value);
            }
        }

        private void trackBar6_Scroll(object sender, EventArgs e)
        {


            rspmp3net1.Savesettings("advancedpitch", trackBar4.Value.ToString());
            rspmp3net1.Savesettings("advancedtempo", trackBar5.Value.ToString());
            rspmp3net1.Savesettings("advancedrate", trackBar6.Value.ToString());

            if (checkBox8.CheckState == CheckState.Checked)
            {
                rspmp3net1.Savesettings("advanced", "1");
                rspmp3net1.NewPitchControl(true, trackBar4.Value, trackBar5.Value, trackBar6.Value);

            }
            else
            {
                rspmp3net1.Savesettings("advanced", "0");
                rspmp3net1.NewPitchControl(false, trackBar4.Value, trackBar5.Value, trackBar6.Value);
            }
        }

        private void trackBar7_Scroll(object sender, EventArgs e)
        {
            rspmp3net1.Savesettings("extravalue", trackBar7.Value.ToString());
            if (checkBox10.CheckState == CheckState.Checked)
            {
                rspmp3net1.Savesettings("extra", "1");
                rspmp3net1.ExtraEstereo(true, trackBar7.Value);
            }
            else
            {
                rspmp3net1.Savesettings("extra", "0");
                rspmp3net1.ExtraEstereo(false, trackBar7.Value);
            }
        }

        private void trackBar8_Scroll(object sender, EventArgs e)
        {
            rspmp3net1.Savesettings("noisevalue", trackBar8.Value.ToString());

            if (checkBox13.CheckState == CheckState.Checked)
            {
                rspmp3net1.Savesettings("noise", "1");
                rspmp3net1.NoiseFilter(true, trackBar8.Value);
            }
            else
            {
                rspmp3net1.Savesettings("noise", "0");
                rspmp3net1.NoiseFilter(false, trackBar8.Value);
            }
        }
    }
}
