using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
//using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices;
using System.Diagnostics;
namespace rspmp3net
{
    public partial class Form14 : Form
    {

        //Private Declare Function Sleep Lib "kernel32" (ByVal Miliseconds As Long) As Long






        private bool m_bCancelfade;//    '// Cancel active fade
        private bool m_bLIsRunning;//   '// Left player is running
        private bool m_bLeftPlaying;//   '// Left player has active playback
        private bool m_bRIsRunning;//    '// Right player is running
        private bool m_bRightPlaying;//  '// Right player has active playback
        private int m_lLeftPos;//          '// Playback position for left player
        private int m_lRightPos;//         '// Playback position for right player
        private int m_lSecsLeft;//         '// Seconds of playback left, can be set for manual fade in/out



        [DllImport("kernel32.dll")]
        public static extern int Sleep(int Miliseconds);


        private double thetimer()
        {
            double a;

            a = System.Environment.TickCount;
            a = a / 1000;
            return a;
        }

        public Form14()
        {
            InitializeComponent();
        }

        private void Form14_FormClosing(object sender, FormClosingEventArgs e)
        {
            System.Environment.Exit(0);
        }

        private void Form14_Load(object sender, EventArgs e)
        {
            //   MessageBox.Show(System.Environment.TickCount.ToString());      
            //  DateTime dat = new DateTime();

            //   dat = DateTime.Now;

            //   rspmp3net.Form1.OutputDebugString(dat.Hour.ToString() + " Already executing , exiting ");

        }

        private void sldrCurrTrack_KeyUp(object sender, KeyEventArgs e)
        {
            rspmp3net1.SeekTo(sldrCurrTrack.Value);
        }

        private void sldrCurrTrack_MouseUp(object sender, MouseEventArgs e)
        {
            rspmp3net1.SeekTo(sldrCurrTrack.Value);
        }

        private void SldrCueTrack_KeyUp(object sender, KeyEventArgs e)
        {
            rspmp3net2.SeekTo(SldrCueTrack.Value);
        }

        private void SldrCueTrack_MouseUp(object sender, MouseEventArgs e)
        {
            rspmp3net2.SeekTo(SldrCueTrack.Value);
        }

        private void cmdCurrTrack_Click(object sender, EventArgs e)
        {
            //    MessageBox.Show(thetimer().ToString ());  
            IntPtr b = Form14.ActiveForm.Handle;
            int c = b.ToInt32();

            txtLeftTrack.Text = rspmp3net2.SelectFile("", "Select media file to open", "All supported files (*.mpg *.mp1 *.mp2 *.mp3 *.wav)|*.mpg;*.mp1;*.mp2;*.mp3;*.wav|All files (*.*)|*.*", "", c);


        }

        private void cmdCueTrack_Click(object sender, EventArgs e)
        {
            IntPtr b = Form14.ActiveForm.Handle;
            int c = b.ToInt32();
            txtRightTrack.Text = rspmp3net2.SelectFile("", "Select media file to open", "All supported files (*.mpg *.mp1 *.mp2 *.mp3 *.wav)|*.mpg;*.mp1;*.mp2;*.mp3;*.wav|All files (*.*)|*.*", "", c);

        }

        private void cmdFade_Click(object sender, EventArgs e)
        {


            double PauseTime;
            double Start;
            int lFadeOut;
            int lFadeIn;




            if (true == m_bRIsRunning)
            {

                rspmp3net.Form1.OutputDebugString("Already executing , exiting ");
                return;
            }


            m_bCancelfade = false;
            m_bRIsRunning = true;


            lFadeOut = 100;
            lFadeIn = 0;

            m_lSecsLeft = 3;


            if (Check1.CheckState == CheckState.Checked)
            {
                m_lSecsLeft = int.Parse(Text1.Text);

            }

            PauseTime = (m_lSecsLeft) / 100;

            lblFadeInSecs.Text = "Fade in seconds : " + m_lSecsLeft.ToString();

            rspmp3net1.InternalVolume(lFadeOut);

            rspmp3net2.InternalVolume(lFadeIn);



            rspmp3net2.PlayFile(txtRightTrack.Text);



            while (lFadeOut >= 0)
            {
                Application.DoEvents();
                Sleep(1);

                rtracklen.Text = rspmp3net2.GetLength.ToString();

                rtrackpos.Text = rspmp3net2.GetTime.ToString();

                if (rspmp3net2.GetLength != 0)
                {
                    lblRTrackPercent.Text = ((double)rspmp3net2.GetTime / (double)rspmp3net2.GetLength * 100).ToString() + "%";

                    lblRTrackPercent.Refresh();

                }

                lblLTrackLen.Text = rspmp3net1.GetLength.ToString();

                lblLTrackPos.Text = rspmp3net1.GetTime.ToString();

                if (rspmp3net1.GetLength != 0)
                {
               //   MessageBox .Show (rspmp3net1.GetTime.ToString() + "  " + rspmp3net1.GetLength.ToString ());
                    lblLTrackPercent.Text = ((double)rspmp3net1.GetTime / (double)rspmp3net1.GetLength * (double)100).ToString() + "%";

                    lblLTrackPercent.Refresh();

                }

                lblFadeOut.Text = "Fade out :  " + lFadeOut.ToString();
                lblFadeIn.Text = "Fade in :  " + lFadeIn.ToString();

                rspmp3net1.InternalVolume(lFadeOut);
                rspmp3net2.InternalVolume(lFadeIn);

                Start = thetimer();
                while (thetimer() < (Start + PauseTime))
                {
                    Sleep(1);
                    if (true == m_bCancelfade)
                    {
                        goto final;
                    }

                    Application.DoEvents();

                }

                lFadeOut = (lFadeOut - 1);
                lFadeIn = (lFadeIn + 1);


                if (true == m_bCancelfade)
                {
                    goto final;
                }



            }



            rspmp3net1.CancelPlayback();

            m_bLeftPlaying = false;

        final:

            m_bCancelfade = false;
            m_bRIsRunning = false;


        }

        private void cmdCueFade_Click(object sender, EventArgs e)
        {
            double PauseTime;
            double Start;
            int lFadeIn;
            int lFadeOut;


            if (true == m_bLIsRunning)
            {

                // Debug.Print Time & " Already executing , exiting "
                return;

            }

            m_bCancelfade = false;
            lFadeOut = 100;
            lFadeIn = 0;
            m_bLIsRunning = true;


            m_lSecsLeft = 3;

            if (Check1.CheckState == CheckState.Checked)
            {

                m_lSecsLeft = int.Parse(Text1.Text);

            }

            PauseTime = (m_lSecsLeft) / 100;

            lblFadeInSecs.Text = "Fade in seconds : " + m_lSecsLeft.ToString();

            rspmp3net2.InternalVolume(lFadeOut);
            rspmp3net1.InternalVolume(lFadeIn);

            rspmp3net1.PlayFile(txtLeftTrack.Text);


            while (lFadeOut >= 0)
            {
                Application.DoEvents();
                Sleep(1);

                rtracklen.Text = rspmp3net2.GetLength.ToString();
                rtrackpos.Text = rspmp3net2.GetTime.ToString();

                if (rspmp3net2.GetLength != 0)
                {
                    lblRTrackPercent.Text = ((double)rspmp3net2.GetTime / (double)rspmp3net2.GetLength * 100).ToString() + "%";
                    lblRTrackPercent.Refresh();

                }

                lblLTrackLen.Text = rspmp3net1.GetLength.ToString();
                lblLTrackPos.Text = rspmp3net1.GetTime.ToString();

                if (rspmp3net1.GetLength != 0)
                {
                    lblLTrackPercent.Text = ((double)rspmp3net1.GetTime / (double)rspmp3net1.GetLength * 100).ToString() + "%";

                    lblLTrackPercent.Refresh();

                }

                lblFadeOut.Text = "Fade out :  " + lFadeOut.ToString();
                lblFadeIn.Text = "Fade in :  " + lFadeIn.ToString();

                rspmp3net2.InternalVolume(lFadeOut);
                rspmp3net1.InternalVolume(lFadeIn);

                Start = thetimer();

                while (thetimer() < (Start + PauseTime))
                {
                    Sleep(1);
                    if (true == m_bCancelfade)
                    {
                        goto final;
                    }
                    Application.DoEvents();


                }

                lFadeOut = (lFadeOut - 1);
                lFadeIn = (lFadeIn + 1);

                if (true == m_bCancelfade)
                {
                    goto final;
                }



            }



            rspmp3net2.CancelPlayback();
            m_bRightPlaying = false;

        final:
            m_bCancelfade = false;
            m_bLIsRunning = false;
        }


        private int debugn = 0;




        private void rspmp3net1_Finished(object sender, EventArgs e)
        {
            m_bLeftPlaying = false;
        }

        private void rspmp3net2_Finished(object sender, EventArgs e)
        {
            m_bRightPlaying = false;
        }








     

      
        private void cmdStart_Click(object sender, EventArgs e)
        {
            rspmp3net1.CancelPlayback();
            rspmp3net2.CancelPlayback();

            m_bLeftPlaying = false;
            m_bRightPlaying = false;

            m_bCancelfade = true;



            rspmp3net1.CancelPlayback();
            rspmp3net1.InternalVolume(100);
            rspmp3net1.PlayFile(txtLeftTrack.Text);



            rspmp3net2.CancelPlayback();
            rspmp3net2.InternalVolume(0);

        }

        private void cmdCueLeftIn_Click(object sender, EventArgs e)
        {
            m_bCancelfade = true;

            rspmp3net1.CancelPlayback();
            rspmp3net2.CancelPlayback();

            m_lSecsLeft = 3;

            tmrLeftPlyr.Enabled = true;
        }

        private void cmdCueRightIn_Click(object sender, EventArgs e)
        {
            m_bCancelfade = true;

            rspmp3net1.CancelPlayback();
            rspmp3net2.CancelPlayback();

            m_lSecsLeft = 3;

            tmrRightPlyr.Enabled = true;
        }

        private void cmdStop_Click(object sender, EventArgs e)
        {
            rspmp3net1.CancelPlayback();
            rspmp3net2.CancelPlayback();

            m_bLeftPlaying = false;
            m_bRightPlaying = false;

            m_bCancelfade = true;
        }

        private void tmrRightPlyr_Tick(object sender, EventArgs e)
        {
            double PauseTime;
            double Start;
            int lFadeOut;
            int lFadeIn;



            if (true == m_bRIsRunning)
            {

                //Debug.Print Time & " Already executing , exiting "
                return;
            }

            lFadeOut = 100;
            lFadeIn = 0;

            m_bCancelfade = false;

            tmrRightPlyr.Enabled = false;

            m_bRIsRunning = true;

            if (Check1.CheckState == CheckState.Checked)
            {

                m_lSecsLeft = int.Parse(Text1.Text);

            }

            if ((m_lSecsLeft) != 0)
            {

                PauseTime = (m_lSecsLeft) / 100;

            }
            else
            {

                PauseTime = 0.1;

            }

            lblFadeInSecs.Text = "Fade in seconds : " + m_lSecsLeft.ToString();

            rspmp3net1.InternalVolume(lFadeOut);

            rspmp3net2.InternalVolume(lFadeIn);



            rspmp3net2.PlayFile(txtRightTrack.Text);



            while (lFadeOut >= 0)
            {
                Application.DoEvents();
                Sleep(1);
                rtracklen.Text = rspmp3net2.GetLength.ToString();

                rtrackpos.Text = rspmp3net2.GetTime.ToString();

                if (rspmp3net2.GetLength != 0)
                {

                    lblRTrackPercent.Text = ((double)rspmp3net2.GetTime / (double)rspmp3net2.GetLength * 100) + "%";

                    lblRTrackPercent.Refresh();

                }

                lblLTrackLen.Text = rspmp3net1.GetLength.ToString();

                lblLTrackPos.Text = rspmp3net1.GetTime.ToString();

                if (rspmp3net1.GetLength != 0)
                {

                    lblLTrackPercent.Text = ((double)rspmp3net1.GetTime / (double)rspmp3net1.GetLength * 100) + "%";

                    lblLTrackPercent.Refresh();

                }

                lblFadeOut.Text = "Fade out :  " + lFadeOut.ToString();

                lblFadeIn.Text = "Fade in :  " + lFadeIn.ToString();

                rspmp3net1.InternalVolume(lFadeOut);
                rspmp3net2.InternalVolume(lFadeIn);

                Start = thetimer();
                while (thetimer() < (Start + PauseTime))
                {
                    Sleep(1);
                    if (true == m_bCancelfade)
                    {
                        goto final;
                    }
                    Application.DoEvents();

                }

                lFadeOut = (lFadeOut - 1);
                lFadeIn = (lFadeIn + 1);


                if (true == m_bCancelfade)
                {
                    goto final;
                }



            }



            m_bLeftPlaying = false;

        final:
            m_bCancelfade = false;
            m_bRIsRunning = false;
        }

        private void tmrLeftPlyr_Tick(object sender, EventArgs e)
        {
            double PauseTime;
            double Start;
            int lFadeOut;
            int lFadeIn;





            if (true == m_bLIsRunning)
            {

                //   Debug.Print Time & " Already executing , exiting "
                return;
            }

            lFadeOut = 100;
            lFadeIn = 0;
            m_bCancelfade = false;
            tmrLeftPlyr.Enabled = false;


            m_bLIsRunning = true;


            if (Check1.CheckState == CheckState.Checked)
            {

                m_lSecsLeft = int.Parse(Text1.Text);

            }


            if ((m_lSecsLeft != 0))
            {

                PauseTime = (m_lSecsLeft) / 100;
            }
            else
            {

                PauseTime = 0.1;

            }

            lblFadeInSecs.Text = "Fade in seconds : " + m_lSecsLeft.ToString();

            rspmp3net2.InternalVolume(lFadeOut);

            rspmp3net1.InternalVolume(lFadeIn);



            rspmp3net1.PlayFile(txtLeftTrack.Text);



            while (lFadeOut >= 0)
            {
                Application.DoEvents();
                Sleep(1);
                rtracklen.Text = rspmp3net2.GetLength.ToString();

                rtrackpos.Text = rspmp3net2.GetTime.ToString();

                if (rspmp3net2.GetLength != 0)
                {

                    lblRTrackPercent.Text = ((double)rspmp3net2.GetTime / (double)rspmp3net2.GetLength * 100) + "%";

                    lblRTrackPercent.Refresh();

                }

                lblLTrackLen.Text = rspmp3net1.GetLength.ToString();

                lblLTrackPos.Text = rspmp3net1.GetTime.ToString();

                if (rspmp3net1.GetLength != 0)
                {
                 //   Form1.OutputDebugString(rspmp3net1.GetTime.ToString() + "  " + rspmp3net1.GetLength.ToString());
                    lblLTrackPercent.Text = ((double)rspmp3net1.GetTime / (double)rspmp3net1.GetLength * 100) + "%";

                    lblLTrackPercent.Refresh();

                }


                lblFadeOut.Text = "Fade out :  " + lFadeOut.ToString();

                lblFadeIn.Text = "Fade in :  " + lFadeIn.ToString();

                rspmp3net2.InternalVolume(lFadeOut);

                rspmp3net1.InternalVolume(lFadeIn);

                Start = thetimer();

                while (thetimer() < (Start + PauseTime))
                {
                    Sleep(1);
                    if (true == m_bCancelfade)
                    {
                        goto final;
                    }

                    Application.DoEvents();

                }

                lFadeOut = (lFadeOut - 1);
                lFadeIn = (lFadeIn + 1);

                if (true == m_bCancelfade)
                {
                    goto final;
                }



            }



            m_bRightPlaying = false;

        final:
            m_bCancelfade = false;
            m_bLIsRunning = false;

        }

        private void rspmp3net1_ErrorCode(object sender, MP3NetLibrary.ErrorCodeEvent e)
        {
            debugn++;
            listBox1.Items.Add(debugn.ToString() + " Left player : " + e.ErrorNumber.ToString() + " " + e.ErrorDescription);
            int ret;

            ret = listBox1.Items.Count;
            listBox1.SelectedIndex = ret - 1;

        }

 

        private void rspmp3net1_PlayBackPosition(object Sender, PlayBackPositionEventArgs e)
        {
            sldrCurrTrack.Value = e.NewValue;

        }

        private void rspmp3net1_Progress(object Sender, MP3NetLibrary.ProgressEventArgs e)
        {
            m_lLeftPos = e.ProgressAsLong;

        }

        private void rspmp3net1_TimePosition(object Sender, TimePositionEventArgs e)
        {


            lblLTrackLen.Text = e.TimeAsSeconds.ToString();
            lblLTrackPos.Text = m_lLeftPos.ToString();
            lblLTrackPercent.Text = (m_lLeftPos / e.TimeAsSeconds * 100) + "%";

            m_lSecsLeft = (e.TimeAsSeconds - m_lLeftPos);


            if (Check1.CheckState == CheckState.Checked)
            {

                if ((e.TimeAsSeconds - m_lLeftPos) <= int.Parse(Text1.Text))
                {
                    if (false == m_bRightPlaying)
                    {

                        tmrRightPlyr.Enabled = true;

                        m_bRightPlaying = true;

                    }

                }

            }
            else
            {

                if ((m_lLeftPos / e.TimeAsSeconds * 100) >= (int.Parse(txtDefFadePos.Text)))
                {

                    if (false == m_bRightPlaying)
                    {
                        tmrRightPlyr.Enabled = true;

                        m_bRightPlaying = true;

                    }

                }

            }



        }

        private void rspmp3net2_ErrorCode(object sender, MP3NetLibrary.ErrorCodeEvent e)
        {
            debugn++;
            listBox1.Items.Add(debugn.ToString() + " Right player : " + e.ErrorNumber.ToString() + " " + e.ErrorDescription);
            int ret;

            ret = listBox1.Items.Count;
            listBox1.SelectedIndex = ret - 1;

        }



        private void rspmp3net2_PlayBackPosition(object Sender, PlayBackPositionEventArgs e)
        {
            SldrCueTrack.Value = e.NewValue;

        }

        private void rspmp3net2_Progress(object Sender, MP3NetLibrary.ProgressEventArgs e)
        {
            m_lRightPos = e.ProgressAsLong;
        }

        private void rspmp3net2_TimePosition(object Sender, TimePositionEventArgs e)
        {


            rtracklen.Text = e.TimeAsSeconds.ToString();
            rtrackpos.Text = m_lRightPos.ToString();
            lblRTrackPercent.Text = (m_lRightPos / e.TimeAsSeconds * 100) + "%";

            m_lSecsLeft = (e.TimeAsSeconds - m_lRightPos);

            if (Check1.CheckState == CheckState.Checked)
            {

                if ((e.TimeAsSeconds - m_lRightPos) <= int.Parse(Text1.Text))
                {

                    if (false == m_bLeftPlaying)
                    {

                        tmrLeftPlyr.Enabled = true;
                        m_bLeftPlaying = true;

                    }

                }

            }
            else
            {

                if ((m_lRightPos / e.TimeAsSeconds * 100) >= (int.Parse(txtDefFadePos.Text)))
                {

                    if (false == m_bLeftPlaying)
                    {

                        tmrLeftPlyr.Enabled = true;
                        m_bLeftPlaying = true;

                    }

                }

            }



        }

        private void sldrCurrTrack_Scroll(object sender, EventArgs e)
        {

        }
    }
}
