using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
//using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace rspmp3net
{
    public partial class Form15 : Form
    {
        Form5 rico4;
        public Form15()
        {
            InitializeComponent();
        }

        private void Form15_FormClosing(object sender, FormClosingEventArgs e)
        {
            System.Environment.Exit(0);
        }

        private void progressBar2_Click(object sender, EventArgs e)
        {

        }

        private void button7_Click(object sender, EventArgs e)
        {
            System.Environment.Exit(0);
        }

        private void Form15_Load(object sender, EventArgs e)
        {
            this.Text = rspmp3net1.ControlName().ToString() + " - Sample Project";
        }

        private void button1_Click(object sender, EventArgs e)
        {

            string folder;
            folderBrowserDialog1.ShowDialog();
            folder = folderBrowserDialog1.SelectedPath;
            listBox1.Items.Clear();

            if (folder.Length > 0)
            {
                /*
                if(Directory.Exists("c:\\back"))
                {
                     MessageBox.Show ("esite");

                }
                */

                string[] files = Directory.GetFiles(folder);


                if (files.Length > 0)
                {
                    int i;
                    for (i = 0; i < files.Length; i++)
                    {

                        listBox1.Items.Add(files[i]);
                    }

                }

            }

        }


        private int debugn = 0;
     

        private void rspmp3net1_Finished(object sender, EventArgs e)
        {
            timer1.Enabled = true;
        }







        private void button4_Click(object sender, EventArgs e)
        {
            rspmp3net1.PausePlayback();
        }

        private void button5_Click(object sender, EventArgs e)
        {
            rspmp3net1.ResumePlayback();
        }

        private void button6_Click(object sender, EventArgs e)
        {
            rspmp3net1.CancelPlayback();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            if (listBox1.Items.Count > 0)
            {
                listBox1.SelectedIndex = 0;
                    EventArgs v = new EventArgs();
                    listBox1_Click(this, v);

            }

        }

        private int NextToPlay = 0;
        private void listBox1_Click(object sender, EventArgs e)
        {
            // MessageBox.Show("Click");

            if (listBox1.Items.Count <= 0)
            {

                return;
            }

            if (checkBox1.CheckState == CheckState.Checked)
            {
                bool enable = true;
                rspmp3net1.EnableOnTheFlyVolumeNormalizationAndWriteTAGFast( enable);
            }
            else
            {
                bool enable = false;
                rspmp3net1.EnableOnTheFlyVolumeNormalizationAndWriteTAGFast( enable);
            }

 //MessageBox.Show (listBox1.Items[listBox1.SelectedIndex].ToString ());
rspmp3net1.PlayFile (listBox1.Items[listBox1.SelectedIndex].ToString ());

        // listBox1.
        // 

NextToPlay = listBox1.SelectedIndex + 1;
         //   listBox1.Items.

        }

        private void timer1_Tick(object sender, EventArgs e)
        {


                timer1.Enabled =false;

    if(listBox1.Items .Count <= 0 )
    {

      return ;

    }

    if( listBox1.Items .Count <= NextToPlay)
    {

        NextToPlay = 0;

    }

    listBox1.SelectedIndex = NextToPlay;
    EventArgs v = new EventArgs();
    listBox1_Click(this, v);


        }

        private void trackBar1_KeyUp(object sender, KeyEventArgs e)
        {
            rspmp3net1.SeekTo(trackBar1.Value);
        }

        private void trackBar1_MouseUp(object sender, MouseEventArgs e)
        {
            rspmp3net1.SeekTo(trackBar1.Value);
        }

        private void listBox1_SelectedIndexChanged(object sender, EventArgs e)
        {

        }

        private void trackBar1_Scroll(object sender, EventArgs e)
        {
            rspmp3net1.DisableSliderUpdateDuringSeek();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            try
            {

                if (0 == rico4.exists)
                {
                    rico4 = new Form5(this.rspmp3net1);
                    rico4.Show();
                    rico4.exists = 1;
                    rico4.WindowState = FormWindowState.Normal;
                }
                rico4.WindowState = FormWindowState.Normal;
            }
            catch
            {
                rico4 = new Form5(this.rspmp3net1);
                rico4.Show();
                rico4.exists = 1;
                rico4.WindowState = FormWindowState.Normal;
            }

        }

        private void rspmp3net1_ErrorCode(object sender, MP3NetLibrary.ErrorCodeEvent e)
        {
            debugn++;
            listBox2.Items.Add(debugn.ToString() + " Left player : " + e.ErrorNumber.ToString() + " " + e.ErrorDescription);
            int ret;

            ret = listBox2.Items.Count;
            listBox2.SelectedIndex = ret - 1;

        }

        private void rspmp3net1_TimePosition(object Sender, TimePositionEventArgs e)
        {
            label11.Text = "Seconds: " + e.TimeAsSeconds;
            label12.Text = "Time: " + e.TimeAsString;

        }

        private void rspmp3net1_Progress(object Sender, MP3NetLibrary.ProgressEventArgs e)
        {
            label3.Text = "Position: " + e.ProgressAsLong;
            label4.Text = "Time Position: " + e.ProgressAsString;

        }

        private void rspmp3net1_PlayBackPosition(object Sender, PlayBackPositionEventArgs e)
        {
            trackBar1.Value = e.NewValue;

        }

        private void rspmp3net1_Finished_1(object Sender, EventArgs e)
        {
            timer1.Enabled = true;
        }

        private void rspmp3net1_PeakLevel(object sender, MP3NetLibrary.PeakLevelEvent e)
        {
            progressBar1.Value = e.RightChannel;
            progressBar2.Value = e.LeftChannel;

        }



    }
}
