using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
//using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace rspmp3net
{
    public partial class Form5 : Form
    {
        public int exists = 0;
        MP3NetLibrary.RSPMP3Net rspmp3net1;


        private int Band60;
        private int Band170;
        private int Band310;
        private int Band600;
        private int Band1000;
        private int Band3000;
        private int Band6000;
        private int Band12000;
        private int Band14000;
        private int Band16000;

        public Form5(MP3NetLibrary.RSPMP3Net eu)
        {

            rspmp3net1 = eu;
            InitializeComponent();
        }

        private void Form5_Load(object sender, EventArgs e)
        {
            int ret;
            ret = int.Parse(rspmp3net1.Getsettings("equalizer", "0"));

            if (1 == ret)
            {
                checkBox1.CheckState = CheckState.Checked;
            }
            else
            {
                checkBox1.CheckState = CheckState.Unchecked;
            }

            Band60 = int.Parse(rspmp3net1.Getsettings("band60", "50"));
            Band60 = (Band60 / 10);

            trackBar2.Value = Band60;
            Band170 = int.Parse(rspmp3net1.Getsettings("band170", "50"));
            Band170 = (Band170 / 10);

            trackBar3.Value = Band170;
            Band310 = int.Parse(rspmp3net1.Getsettings("band310", "50"));
            Band310 = (Band310 / 10);

            trackBar4.Value = Band310;
            Band600 = int.Parse(rspmp3net1.Getsettings("band600", "50"));
            Band600 = (Band600 / 10);

            trackBar5.Value = Band600;
            Band1000 = int.Parse(rspmp3net1.Getsettings("band1000", "50"));
            Band1000 = (Band1000 / 10);

            trackBar6.Value = Band1000;
            Band3000 = int.Parse(rspmp3net1.Getsettings("band3000", "50"));
            Band3000 = (Band3000 / 10);

            trackBar7.Value = Band3000;
            Band6000 = int.Parse(rspmp3net1.Getsettings("band6000", "50"));
            Band6000 = (Band6000 / 10);

            trackBar8.Value = Band6000;
            Band12000 = int.Parse(rspmp3net1.Getsettings("band12000", "50"));
            Band12000 = (Band12000 / 10);

            trackBar9.Value = Band12000;
            Band14000 = int.Parse(rspmp3net1.Getsettings("band14000", "50"));
            Band14000 = (Band14000 / 10);

            trackBar10.Value = Band14000;
            Band16000 = int.Parse(rspmp3net1.Getsettings("band16000", "50"));
            Band16000 = (Band16000 / 10);

            trackBar11.Value = Band16000;


            {
                rspmp3net1.Savesettings("equalizer", "0");

                if (checkBox1.CheckState == CheckState.Checked)
                {
                    rspmp3net1.Savesettings("equalizer", "1");
                    Band60 = (trackBar2.Value) * 10;
                    Band170 = (trackBar3.Value) * 10;
                    Band310 = (trackBar4.Value) * 10;
                    Band600 = (trackBar5.Value) * 10;
                    Band1000 = (trackBar6.Value) * 10;
                    Band3000 = (trackBar7.Value) * 10;
                    Band6000 = (trackBar8.Value) * 10;
                    Band12000 = (trackBar9.Value) * 10;
                    Band14000 = (trackBar10.Value) * 10;
                    Band16000 = (trackBar11.Value) * 10;

                    rspmp3net1.EqualizerSettings(Band60, Band170, Band310, Band600,
              Band1000, Band3000, Band6000, Band12000, Band14000,
              Band16000);
                    bool enable = true;
                    rspmp3net1.EnableEqualizer( enable);


                }
                else
                {
                    bool enable = false;
                    rspmp3net1.EnableEqualizer( enable);
                }
            

            }


        }

        private void Form5_FormClosing(object sender, FormClosingEventArgs e)
        {
            exists = 0;
        }

        private void trackBar2_Scroll(object sender, EventArgs e)
        {


    Band60 = ( trackBar2.Value) * 10;
    Band170 = ( trackBar3.Value) * 10;
    Band310 = ( trackBar4.Value) * 10;
    Band600 = ( trackBar5.Value) * 10;
    Band1000 = ( trackBar6.Value) * 10;
    Band3000 = ( trackBar7.Value) * 10;
    Band6000 = ( trackBar8.Value) * 10;
    Band12000 = ( trackBar9.Value) * 10;
    Band14000 = ( trackBar10.Value) * 10;
    Band16000 = ( trackBar11.Value) * 10;

    rspmp3net1.EqualizerSettings (  Band60,   Band170,   Band310,   Band600, 
      Band1000,   Band3000,   Band6000,   Band12000,   Band14000, 
      Band16000 );


    rspmp3net1.Savesettings("band60", Band60.ToString ());
    rspmp3net1.Savesettings("band170", Band170.ToString());
    rspmp3net1.Savesettings("band310", Band310.ToString());
    rspmp3net1.Savesettings("band600", Band600.ToString());
    rspmp3net1.Savesettings("band1000", Band1000.ToString());
    rspmp3net1.Savesettings("band3000", Band3000.ToString());
    rspmp3net1.Savesettings("band6000", Band6000.ToString());
    rspmp3net1.Savesettings("band12000", Band12000.ToString());
    rspmp3net1.Savesettings("band14000", Band14000.ToString());
    rspmp3net1.Savesettings("band16000", Band16000.ToString());
        }

        private void trackBar3_Scroll(object sender, EventArgs e)
        {


            Band60 = (trackBar2.Value) * 10;
            Band170 = (trackBar3.Value) * 10;
            Band310 = (trackBar4.Value) * 10;
            Band600 = (trackBar5.Value) * 10;
            Band1000 = (trackBar6.Value) * 10;
            Band3000 = (trackBar7.Value) * 10;
            Band6000 = (trackBar8.Value) * 10;
            Band12000 = (trackBar9.Value) * 10;
            Band14000 = (trackBar10.Value) * 10;
            Band16000 = (trackBar11.Value) * 10;

            rspmp3net1.EqualizerSettings(  Band60,   Band170,   Band310,   Band600,
              Band1000,   Band3000,   Band6000,   Band12000,   Band14000,
              Band16000);


            rspmp3net1.Savesettings("band60", Band60.ToString());
            rspmp3net1.Savesettings("band170", Band170.ToString());
            rspmp3net1.Savesettings("band310", Band310.ToString());
            rspmp3net1.Savesettings("band600", Band600.ToString());
            rspmp3net1.Savesettings("band1000", Band1000.ToString());
            rspmp3net1.Savesettings("band3000", Band3000.ToString());
            rspmp3net1.Savesettings("band6000", Band6000.ToString());
            rspmp3net1.Savesettings("band12000", Band12000.ToString());
            rspmp3net1.Savesettings("band14000", Band14000.ToString());
            rspmp3net1.Savesettings("band16000", Band16000.ToString());
        }

        private void trackBar4_Scroll(object sender, EventArgs e)
        {


            Band60 = (trackBar2.Value) * 10;
            Band170 = (trackBar3.Value) * 10;
            Band310 = (trackBar4.Value) * 10;
            Band600 = (trackBar5.Value) * 10;
            Band1000 = (trackBar6.Value) * 10;
            Band3000 = (trackBar7.Value) * 10;
            Band6000 = (trackBar8.Value) * 10;
            Band12000 = (trackBar9.Value) * 10;
            Band14000 = (trackBar10.Value) * 10;
            Band16000 = (trackBar11.Value) * 10;

            rspmp3net1.EqualizerSettings(  Band60,   Band170,   Band310,   Band600,
              Band1000,   Band3000,   Band6000,   Band12000,   Band14000,
              Band16000);


            rspmp3net1.Savesettings("band60", Band60.ToString());
            rspmp3net1.Savesettings("band170", Band170.ToString());
            rspmp3net1.Savesettings("band310", Band310.ToString());
            rspmp3net1.Savesettings("band600", Band600.ToString());
            rspmp3net1.Savesettings("band1000", Band1000.ToString());
            rspmp3net1.Savesettings("band3000", Band3000.ToString());
            rspmp3net1.Savesettings("band6000", Band6000.ToString());
            rspmp3net1.Savesettings("band12000", Band12000.ToString());
            rspmp3net1.Savesettings("band14000", Band14000.ToString());
            rspmp3net1.Savesettings("band16000", Band16000.ToString());
        }

        private void trackBar5_Scroll(object sender, EventArgs e)
        {


            Band60 = (trackBar2.Value) * 10;
            Band170 = (trackBar3.Value) * 10;
            Band310 = (trackBar4.Value) * 10;
            Band600 = (trackBar5.Value) * 10;
            Band1000 = (trackBar6.Value) * 10;
            Band3000 = (trackBar7.Value) * 10;
            Band6000 = (trackBar8.Value) * 10;
            Band12000 = (trackBar9.Value) * 10;
            Band14000 = (trackBar10.Value) * 10;
            Band16000 = (trackBar11.Value) * 10;

            rspmp3net1.EqualizerSettings(  Band60,   Band170,   Band310,   Band600,
              Band1000,   Band3000,   Band6000,   Band12000,   Band14000,
              Band16000);


            rspmp3net1.Savesettings("band60", Band60.ToString());
            rspmp3net1.Savesettings("band170", Band170.ToString());
            rspmp3net1.Savesettings("band310", Band310.ToString());
            rspmp3net1.Savesettings("band600", Band600.ToString());
            rspmp3net1.Savesettings("band1000", Band1000.ToString());
            rspmp3net1.Savesettings("band3000", Band3000.ToString());
            rspmp3net1.Savesettings("band6000", Band6000.ToString());
            rspmp3net1.Savesettings("band12000", Band12000.ToString());
            rspmp3net1.Savesettings("band14000", Band14000.ToString());
            rspmp3net1.Savesettings("band16000", Band16000.ToString());
        }

        private void trackBar6_Scroll(object sender, EventArgs e)
        {


            Band60 = (trackBar2.Value) * 10;
            Band170 = (trackBar3.Value) * 10;
            Band310 = (trackBar4.Value) * 10;
            Band600 = (trackBar5.Value) * 10;
            Band1000 = (trackBar6.Value) * 10;
            Band3000 = (trackBar7.Value) * 10;
            Band6000 = (trackBar8.Value) * 10;
            Band12000 = (trackBar9.Value) * 10;
            Band14000 = (trackBar10.Value) * 10;
            Band16000 = (trackBar11.Value) * 10;

            rspmp3net1.EqualizerSettings(Band60, Band170, Band310, Band600,
                     Band1000, Band3000, Band6000, Band12000, Band14000,
                     Band16000);


            rspmp3net1.Savesettings("band60", Band60.ToString());
            rspmp3net1.Savesettings("band170", Band170.ToString());
            rspmp3net1.Savesettings("band310", Band310.ToString());
            rspmp3net1.Savesettings("band600", Band600.ToString());
            rspmp3net1.Savesettings("band1000", Band1000.ToString());
            rspmp3net1.Savesettings("band3000", Band3000.ToString());
            rspmp3net1.Savesettings("band6000", Band6000.ToString());
            rspmp3net1.Savesettings("band12000", Band12000.ToString());
            rspmp3net1.Savesettings("band14000", Band14000.ToString());
            rspmp3net1.Savesettings("band16000", Band16000.ToString());
        }

        private void trackBar7_Scroll(object sender, EventArgs e)
        {


            Band60 = (trackBar2.Value) * 10;
            Band170 = (trackBar3.Value) * 10;
            Band310 = (trackBar4.Value) * 10;
            Band600 = (trackBar5.Value) * 10;
            Band1000 = (trackBar6.Value) * 10;
            Band3000 = (trackBar7.Value) * 10;
            Band6000 = (trackBar8.Value) * 10;
            Band12000 = (trackBar9.Value) * 10;
            Band14000 = (trackBar10.Value) * 10;
            Band16000 = (trackBar11.Value) * 10;

            rspmp3net1.EqualizerSettings(Band60, Band170, Band310, Band600,
              Band1000, Band3000, Band6000, Band12000, Band14000,
              Band16000);


            rspmp3net1.Savesettings("band60", Band60.ToString());
            rspmp3net1.Savesettings("band170", Band170.ToString());
            rspmp3net1.Savesettings("band310", Band310.ToString());
            rspmp3net1.Savesettings("band600", Band600.ToString());
            rspmp3net1.Savesettings("band1000", Band1000.ToString());
            rspmp3net1.Savesettings("band3000", Band3000.ToString());
            rspmp3net1.Savesettings("band6000", Band6000.ToString());
            rspmp3net1.Savesettings("band12000", Band12000.ToString());
            rspmp3net1.Savesettings("band14000", Band14000.ToString());
            rspmp3net1.Savesettings("band16000", Band16000.ToString());
        }

        private void trackBar8_Scroll(object sender, EventArgs e)
        {


            Band60 = (trackBar2.Value) * 10;
            Band170 = (trackBar3.Value) * 10;
            Band310 = (trackBar4.Value) * 10;
            Band600 = (trackBar5.Value) * 10;
            Band1000 = (trackBar6.Value) * 10;
            Band3000 = (trackBar7.Value) * 10;
            Band6000 = (trackBar8.Value) * 10;
            Band12000 = (trackBar9.Value) * 10;
            Band14000 = (trackBar10.Value) * 10;
            Band16000 = (trackBar11.Value) * 10;

            rspmp3net1.EqualizerSettings(Band60, Band170, Band310, Band600,
               Band1000, Band3000, Band6000, Band12000, Band14000,
               Band16000);


            rspmp3net1.Savesettings("band60", Band60.ToString());
            rspmp3net1.Savesettings("band170", Band170.ToString());
            rspmp3net1.Savesettings("band310", Band310.ToString());
            rspmp3net1.Savesettings("band600", Band600.ToString());
            rspmp3net1.Savesettings("band1000", Band1000.ToString());
            rspmp3net1.Savesettings("band3000", Band3000.ToString());
            rspmp3net1.Savesettings("band6000", Band6000.ToString());
            rspmp3net1.Savesettings("band12000", Band12000.ToString());
            rspmp3net1.Savesettings("band14000", Band14000.ToString());
            rspmp3net1.Savesettings("band16000", Band16000.ToString());
        }

        private void trackBar9_Scroll(object sender, EventArgs e)
        {


            Band60 = (trackBar2.Value) * 10;
            Band170 = (trackBar3.Value) * 10;
            Band310 = (trackBar4.Value) * 10;
            Band600 = (trackBar5.Value) * 10;
            Band1000 = (trackBar6.Value) * 10;
            Band3000 = (trackBar7.Value) * 10;
            Band6000 = (trackBar8.Value) * 10;
            Band12000 = (trackBar9.Value) * 10;
            Band14000 = (trackBar10.Value) * 10;
            Band16000 = (trackBar11.Value) * 10;

            rspmp3net1.EqualizerSettings(Band60, Band170, Band310, Band600,
               Band1000, Band3000, Band6000, Band12000, Band14000,
               Band16000);


            rspmp3net1.Savesettings("band60", Band60.ToString());
            rspmp3net1.Savesettings("band170", Band170.ToString());
            rspmp3net1.Savesettings("band310", Band310.ToString());
            rspmp3net1.Savesettings("band600", Band600.ToString());
            rspmp3net1.Savesettings("band1000", Band1000.ToString());
            rspmp3net1.Savesettings("band3000", Band3000.ToString());
            rspmp3net1.Savesettings("band6000", Band6000.ToString());
            rspmp3net1.Savesettings("band12000", Band12000.ToString());
            rspmp3net1.Savesettings("band14000", Band14000.ToString());
            rspmp3net1.Savesettings("band16000", Band16000.ToString());
        }

        private void trackBar10_Scroll(object sender, EventArgs e)
        {


            Band60 = (trackBar2.Value) * 10;
            Band170 = (trackBar3.Value) * 10;
            Band310 = (trackBar4.Value) * 10;
            Band600 = (trackBar5.Value) * 10;
            Band1000 = (trackBar6.Value) * 10;
            Band3000 = (trackBar7.Value) * 10;
            Band6000 = (trackBar8.Value) * 10;
            Band12000 = (trackBar9.Value) * 10;
            Band14000 = (trackBar10.Value) * 10;
            Band16000 = (trackBar11.Value) * 10;

            rspmp3net1.EqualizerSettings(Band60, Band170, Band310, Band600,
                Band1000, Band3000, Band6000, Band12000, Band14000,
                Band16000);


            rspmp3net1.Savesettings("band60", Band60.ToString());
            rspmp3net1.Savesettings("band170", Band170.ToString());
            rspmp3net1.Savesettings("band310", Band310.ToString());
            rspmp3net1.Savesettings("band600", Band600.ToString());
            rspmp3net1.Savesettings("band1000", Band1000.ToString());
            rspmp3net1.Savesettings("band3000", Band3000.ToString());
            rspmp3net1.Savesettings("band6000", Band6000.ToString());
            rspmp3net1.Savesettings("band12000", Band12000.ToString());
            rspmp3net1.Savesettings("band14000", Band14000.ToString());
            rspmp3net1.Savesettings("band16000", Band16000.ToString());
        }

        private void trackBar11_Scroll(object sender, EventArgs e)
        {


            Band60 = (trackBar2.Value) * 10;
            Band170 = (trackBar3.Value) * 10;
            Band310 = (trackBar4.Value) * 10;
            Band600 = (trackBar5.Value) * 10;
            Band1000 = (trackBar6.Value) * 10;
            Band3000 = (trackBar7.Value) * 10;
            Band6000 = (trackBar8.Value) * 10;
            Band12000 = (trackBar9.Value) * 10;
            Band14000 = (trackBar10.Value) * 10;
            Band16000 = (trackBar11.Value) * 10;

            rspmp3net1.EqualizerSettings(Band60, Band170, Band310, Band600,
              Band1000, Band3000, Band6000, Band12000, Band14000,
              Band16000);


            rspmp3net1.Savesettings("band60", Band60.ToString());
            rspmp3net1.Savesettings("band170", Band170.ToString());
            rspmp3net1.Savesettings("band310", Band310.ToString());
            rspmp3net1.Savesettings("band600", Band600.ToString());
            rspmp3net1.Savesettings("band1000", Band1000.ToString());
            rspmp3net1.Savesettings("band3000", Band3000.ToString());
            rspmp3net1.Savesettings("band6000", Band6000.ToString());
            rspmp3net1.Savesettings("band12000", Band12000.ToString());
            rspmp3net1.Savesettings("band14000", Band14000.ToString());
            rspmp3net1.Savesettings("band16000", Band16000.ToString());
        }

        private void checkBox1_CheckedChanged(object sender, EventArgs e)
        {

        }

        private void checkBox1_MouseUp(object sender, MouseEventArgs e)
        {

            rspmp3net1.Savesettings("equalizer", "0");

            if (checkBox1.CheckState == CheckState.Checked)
            {
                rspmp3net1.Savesettings("equalizer", "1");
                Band60 = (trackBar2.Value) * 10;
                Band170 = (trackBar3.Value) * 10;
                Band310 = (trackBar4.Value) * 10;
                Band600 = (trackBar5.Value) * 10;
                Band1000 = (trackBar6.Value) * 10;
                Band3000 = (trackBar7.Value) * 10;
                Band6000 = (trackBar8.Value) * 10;
                Band12000 = (trackBar9.Value) * 10;
                Band14000 = (trackBar10.Value) * 10;
                Band16000 = (trackBar11.Value) * 10;

                rspmp3net1.EqualizerSettings(Band60, Band170, Band310, Band600,
               Band1000, Band3000, Band6000, Band12000, Band14000,
               Band16000);
                bool enable = true;
                rspmp3net1.EnableEqualizer( enable);


            }
            else
            {
                bool enable = false;
                rspmp3net1.EnableEqualizer( enable);
            }
            


        }



        private void checkBox2_MouseUp(object sender, MouseEventArgs e)
        {


            if (checkBox2.CheckState == CheckState.Checked)
            {
                bool enable = true;
                rspmp3net1.DoubleBuffer( enable);
            }
            else
            {
                bool enable = false;
                rspmp3net1.DoubleBuffer( enable);
            }

        }

        private void checkBox3_MouseUp(object sender, MouseEventArgs e)
        {


            if(checkBox3.CheckState==CheckState.Checked)
            {
                int ret = trackBar1.Value * 10;
                        rspmp3net1.PreamplifierValue( ret);
                bool enable=true;
        rspmp3net1.EnablePreamplifier( enable);

            }
            else
            {
                bool enable = false;
                rspmp3net1.EnablePreamplifier( enable);
            }

                
        }

        private void checkBox3_CheckedChanged(object sender, EventArgs e)
        {
        
        }

        private void trackBar1_Scroll(object sender, EventArgs e)
        {
            if (checkBox3.CheckState == CheckState.Checked)
            {
                int ret = trackBar1.Value * 10;
                rspmp3net1.PreamplifierValue( ret);
                bool enable = true;
                rspmp3net1.EnablePreamplifier( enable);

            }
            else
            {
                bool enable = false;
                rspmp3net1.EnablePreamplifier( enable);
            }

        }


    }
}
