using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
//using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace rspmp3net
{
    public partial class Form6 : Form
    {
        public int exists = 0;
        public int exitcode = 5;
        MP3NetLibrary.RSPMP3Net rspmp3net1;
        public Form6(MP3NetLibrary.RSPMP3Net eu)
        {
            rspmp3net1 = eu;
            InitializeComponent();
        }

        private void Form6_Load(object sender, EventArgs e)
        {
            int ret;

            ret = int.Parse(rspmp3net1.Getsettings("tagmode", "0"));


            if (0 == ret)
            {
                return;
            }


            if (1 == ret)
            {
                check3.CheckState = CheckState.Checked;
            }


            if (2 == ret)
            {
                check1.CheckState = CheckState.Checked;
            }

            if (3 == ret)
            {
                check4.CheckState = CheckState.Checked;
            }

            if (4 == ret)
            {
                check2.CheckState = CheckState.Checked;
            }

        }

        private void Form6_FormClosing(object sender, FormClosingEventArgs e)
        {
            exists = 0;
        }

        private void check3_CheckedChanged(object sender, EventArgs e)
        {
           
        }

        private void check3_MouseUp(object sender, MouseEventArgs e)
        {
            check2.CheckState = CheckState.Unchecked;
            check1.CheckState = CheckState.Unchecked;
            check4.CheckState = CheckState.Unchecked;



            if (check3.CheckState == CheckState.Checked)
            {
                rspmp3net1.Savesettings("tagmode", "1");
                bool enable = true;
                rspmp3net1.EnableOnTheFlyVolumeNormalizationFast( enable);
            }
            else
            {
                rspmp3net1.Savesettings("tagmode", "0");
                bool enable = false;
                rspmp3net1.EnableOnTheFlyVolumeNormalizationFast( enable);
            }
        }

        private void check1_CheckedChanged(object sender, EventArgs e)
        {

        }

        private void check1_MouseUp(object sender, MouseEventArgs e)
        {
            check2.CheckState = CheckState.Unchecked;
            check3.CheckState = CheckState.Unchecked;
            check4.CheckState = CheckState.Unchecked;

            if (check1.CheckState == CheckState.Checked)
            {
                rspmp3net1.Savesettings("tagmode", "2");
                bool enable = true;
                rspmp3net1.EnableOnTheFlyVolumeNormalization( enable);
            }
            else
            {


                rspmp3net1.Savesettings("tagmode", "0");
                bool enable = false;
                rspmp3net1.EnableOnTheFlyVolumeNormalization( enable);
            }
        }

        private void check4_MouseUp(object sender, MouseEventArgs e)
        {
            check2.CheckState = CheckState.Unchecked;
            check1.CheckState = CheckState.Unchecked;
            check3.CheckState = CheckState.Unchecked;

            if (check4.CheckState == CheckState.Checked)
            {
                rspmp3net1.Savesettings("tagmode", "3");
                bool enable = true;
                rspmp3net1.EnableOnTheFlyVolumeNormalizationAndWriteTAGFast( enable);
            }
            else
            {
                rspmp3net1.Savesettings("tagmode", "0");
                bool enable = false;
                rspmp3net1.EnableOnTheFlyVolumeNormalizationAndWriteTAGFast( enable);
            }
        }

        private void check2_MouseUp(object sender, MouseEventArgs e)
        {
            check1.CheckState = CheckState.Unchecked;
            check3.CheckState = CheckState.Unchecked;
            check4.CheckState = CheckState.Unchecked;


            if (check2.CheckState == CheckState.Checked)
            {
                rspmp3net1.Savesettings("tagmode", "4");
                bool enable = true;
                rspmp3net1.EnableOnTheFlyVolumeNormalizationAndWriteTAG( enable);
            }
            else
            {

                rspmp3net1.Savesettings("tagmode", "0");
                bool enable = false;
                rspmp3net1.EnableOnTheFlyVolumeNormalizationAndWriteTAG( enable);
            }
        }
    }
}
