Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
'using System.Linq;
Imports System.Text
Imports System.Windows.Forms


	Public  Class Form13
		Inherits Form
		Public Sub New()
			InitializeComponent()
		End Sub

		Private Sub Form13_FormClosing(ByVal sender As Object, ByVal e As FormClosingEventArgs)
			System.Environment.[Exit](0)
		End Sub

		Private Sub linkLabel1_LinkClicked(ByVal sender As Object, ByVal e As LinkLabelLinkClickedEventArgs)
			System.Diagnostics.Process.Start(linkLabel1.Text)
		End Sub

		Private Sub button1_Click(ByVal sender As Object, ByVal e As EventArgs)
			Dim b As IntPtr = Form13.ActiveForm.Handle
			Dim c As Integer = b.ToInt32()
			textBox1.Text = rspmp3net1.SelectFile("", "Select media file to open", "All supported files (*.mpg *.mp1 *.mp2 *.mp3 *.wav)|*.mpg;*.mp1;*.mp2;*.mp3;*.wav|All files (*.*)|*.*", "", c)

		End Sub

		Private Sub button2_Click(ByVal sender As Object, ByVal e As EventArgs)


			label1.Text = "Result: working..."
			Me.Refresh()


			'  'For information about how to use the normalization functions visit :
			' 'http://rspsoftware.bighost.com.br/rspnormalization.htm
			Dim ret As Integer


			ret = rspmp3net1.GenerateVolumeTag(textBox1.Text)

			Select Case ret
				Case 0

					label1.Text = "Result: no error, tag ok "
					Exit Select
				Case 1
					label1.Text = "Result: file don't exist or too small  "
					Exit Select
				Case 2
					label1.Text = "Result: cannot open file to read or write "
					Exit Select
				Case 3
					label1.Text = "Result: file is read only  "
					Exit Select
				Case 4
					label1.Text = "Result: unable to generate the volume normalization value  "
					Exit Select
				Case Else
					label1.Text = "Result: unexpected error"
					Exit Select

			End Select
		End Sub

		Private Sub button3_Click(ByVal sender As Object, ByVal e As EventArgs)
			label1.Text = "Result: working..."
			Me.Refresh()


			' 'For information about how to use the normalization functions visit :
			' 'http://rspsoftware.bighost.com.br/rspnormalization.htm
			Dim ret As Integer
			ret = rspmp3net1.CheckVolumeTag(textBox1.Text)

			Select Case ret
				Case 0

					label1.Text = "Result: file have volume tag "
					Exit Select
				Case 1
					label1.Text = "Result: file don't have volume tag "
					Exit Select

			End Select

		End Sub

		Private Sub Form13_Load(ByVal sender As Object, ByVal e As EventArgs)

		End Sub
		
			''' <summary>
				''' Required designer variable.
				''' </summary>
				Private components As System.ComponentModel.IContainer = Nothing
		
				''' <summary>
				''' Clean up any resources being used.
				''' </summary>
				''' <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
				Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
					If disposing AndAlso (components IsNot Nothing) Then
						components.Dispose()
					End If
					MyBase.Dispose(disposing)
				End Sub
		
				#Region "Windows Form Designer generated code"
		
				''' <summary>
				''' Required method for Designer support - do not modify
				''' the contents of this method with the code editor.
				''' </summary>
				Private Sub InitializeComponent()
					Dim resources As New System.ComponentModel.ComponentResourceManager(GetType(Form13))
					Me.button1 = New System.Windows.Forms.Button()
					Me.textBox1 = New System.Windows.Forms.TextBox()
					Me.button2 = New System.Windows.Forms.Button()
					Me.button3 = New System.Windows.Forms.Button()
					Me.label1 = New System.Windows.Forms.Label()
					Me.textBox2 = New System.Windows.Forms.TextBox()
					Me.linkLabel1 = New System.Windows.Forms.LinkLabel()
					Me.label2 = New System.Windows.Forms.Label()
					Me.rspmp3net1 = New MP3NetLibrary.RSPMP3Net()
					Me.SuspendLayout()
					' 
					' button1
					' 
					Me.button1.Location = New System.Drawing.Point(12, 12)
					Me.button1.Name = "button1"
					Me.button1.Size = New System.Drawing.Size(78, 27)
					Me.button1.TabIndex = 0
					Me.button1.Text = "Open"
					Me.button1.UseVisualStyleBackColor = True
					AddHandler Me.button1.Click, AddressOf Me.button1_Click
					' 
					' textBox1
					' 
					Me.textBox1.Location = New System.Drawing.Point(101, 15)
					Me.textBox1.Name = "textBox1"
					Me.textBox1.Size = New System.Drawing.Size(228, 20)
					Me.textBox1.TabIndex = 1
					' 
					' button2
					' 
					Me.button2.Location = New System.Drawing.Point(14, 48)
					Me.button2.Name = "button2"
					Me.button2.Size = New System.Drawing.Size(315, 27)
					Me.button2.TabIndex = 2
					Me.button2.Text = "Write normalization tag"
					Me.button2.UseVisualStyleBackColor = True
					AddHandler Me.button2.Click, AddressOf Me.button2_Click
					' 
					' button3
					' 
					Me.button3.Location = New System.Drawing.Point(15, 85)
					Me.button3.Name = "button3"
					Me.button3.Size = New System.Drawing.Size(315, 26)
					Me.button3.TabIndex = 3
					Me.button3.Text = "Check if the volume tag is available in the file"
					Me.button3.UseVisualStyleBackColor = True
					AddHandler Me.button3.Click, AddressOf Me.button3_Click
					' 
					' label1
					' 
					Me.label1.AutoSize = True
					Me.label1.Location = New System.Drawing.Point(17, 125)
					Me.label1.Name = "label1"
					Me.label1.Size = New System.Drawing.Size(37, 13)
					Me.label1.TabIndex = 4
					Me.label1.Text = "Result"
					' 
					' textBox2
					' 
					Me.textBox2.BackColor = System.Drawing.SystemColors.Menu
					Me.textBox2.BorderStyle = System.Windows.Forms.BorderStyle.None
					Me.textBox2.Location = New System.Drawing.Point(22, 148)
					Me.textBox2.Multiline = True
					Me.textBox2.Name = "textBox2"
					Me.textBox2.Size = New System.Drawing.Size(307, 44)
					Me.textBox2.TabIndex = 5
					Me.textBox2.Text = "This sample will open the mpeg file , analize it and write the normalization tag " & ", for more information about our volume normalization tag visit"
					' 
					' linkLabel1
					' 
					Me.linkLabel1.AutoSize = True
					Me.linkLabel1.Location = New System.Drawing.Point(19, 195)
					Me.linkLabel1.Name = "linkLabel1"
					Me.linkLabel1.Size = New System.Drawing.Size(264, 13)
					Me.linkLabel1.TabIndex = 6
					Me.linkLabel1.TabStop = True
					Me.linkLabel1.Text = "http://rspsoftware.bighost.com.br/rspnormalization.htm"
					AddHandler Me.linkLabel1.LinkClicked, AddressOf Me.linkLabel1_LinkClicked
					' 
					' label2
					' 
					Me.label2.AutoSize = True
					Me.label2.ForeColor = System.Drawing.Color.Blue
					Me.label2.Location = New System.Drawing.Point(231, 221)
					Me.label2.Name = "label2"
					Me.label2.Size = New System.Drawing.Size(101, 13)
					Me.label2.TabIndex = 7
					Me.label2.Text = "RSP Software 2007"
					' 
					' rspmp3net1
					' 
					Me.rspmp3net1.BackColor = System.Drawing.Color.FromArgb(CInt(CByte((0))), CInt(CByte((0))), CInt(CByte((192))))
					'Me.rspmp3net1.BackgroundImage = DirectCast((resources.GetObject("rspmp3net1.BackgroundImage")), System.Drawing.Image)
					Me.rspmp3net1.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D
					Me.rspmp3net1.Location = New System.Drawing.Point(232, 142)
					Me.rspmp3net1.MaximumSize = New System.Drawing.Size(40, 40)
					Me.rspmp3net1.MinimumSize = New System.Drawing.Size(40, 40)
					Me.rspmp3net1.Name = "rspmp3net1"
					Me.rspmp3net1.Size = New System.Drawing.Size(40, 40)
					Me.rspmp3net1.TabIndex = 9
					' 
					' Form13
					' 
					Me.AutoScaleDimensions = New System.Drawing.SizeF(6F, 13F)
					Me.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font
					Me.ClientSize = New System.Drawing.Size(347, 249)
					Me.Controls.Add(Me.rspmp3net1)
					Me.Controls.Add(Me.label2)
					Me.Controls.Add(Me.linkLabel1)
					Me.Controls.Add(Me.textBox2)
					Me.Controls.Add(Me.label1)
					Me.Controls.Add(Me.button3)
					Me.Controls.Add(Me.button2)
					Me.Controls.Add(Me.textBox1)
					Me.Controls.Add(Me.button1)
					Me.Name = "Form13"
					Me.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen
					Me.Text = "Normalization sample"
					AddHandler Me.Load, AddressOf Me.Form13_Load
					AddHandler Me.FormClosing, AddressOf Me.Form13_FormClosing
					Me.ResumeLayout(False)
					Me.PerformLayout()
		
				End Sub
		
				#End Region
		
				Friend WithEvents button1 As System.Windows.Forms.Button
				Friend WithEvents textBox1 As System.Windows.Forms.TextBox
				Friend WithEvents button2 As System.Windows.Forms.Button
				Friend WithEvents button3 As System.Windows.Forms.Button
				Friend WithEvents label1 As System.Windows.Forms.Label
				Friend WithEvents textBox2 As System.Windows.Forms.TextBox
				Friend WithEvents linkLabel1 As System.Windows.Forms.LinkLabel
				Friend WithEvents label2 As System.Windows.Forms.Label
		Friend WithEvents rspmp3net1 As MP3NetLibrary.RSPMP3Net
	End Class

