using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
//using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace rspmp3net
{
    public partial class Form12 : Form
    {
        public Form12()
        {
            InitializeComponent();
        }

        private void Form12_FormClosing(object sender, FormClosingEventArgs e)
        {
            System.Environment.Exit(0);
        }

        private void button1_Click(object sender, EventArgs e)
        {

            IntPtr b = Form12.ActiveForm.Handle;
            int c = b.ToInt32();

            label2.Text = rspmp3net1.SelectFile("", "Select media file to open", "All supported files (*.mpg *.mp1 *.mp2 *.mp3 *.wav)|*.mpg;*.mp1;*.mp2;*.mp3;*.wav|All files (*.*)|*.*", "", c);

            if ("" != label2.Text)
            {
                rspmp3net1.OpenFile(label2.Text);

            }


        }

        private void button2_Click(object sender, EventArgs e)
        {
            rspmp3net1.PlayFile(label2.Text);
        }

        private void button3_Click(object sender, EventArgs e)
        {
            rspmp3net1.PausePlayback();
        }

        private void button4_Click(object sender, EventArgs e)
        {
            rspmp3net1.ResumePlayback();
        }

        private void button5_Click(object sender, EventArgs e)
        {
            rspmp3net1.CancelPlayback();
        }

        private void button6_Click(object sender, EventArgs e)
        {
            rspmp3net1.NewPitchControl(true, 0, -20, 0);
        }

        private void button7_Click(object sender, EventArgs e)
        {
            rspmp3net1.NewPitchControl(false, 0, 0, 0);
        }

        private void button8_Click(object sender, EventArgs e)
        {
            rspmp3net1.NewPitchControl(true, 0, 20, 0);
        }




        private void trackBar1_KeyUp(object sender, KeyEventArgs e)
        {
            rspmp3net1.SeekTo(trackBar1.Value);
        }

        private void trackBar1_MouseUp(object sender, MouseEventArgs e)
        {
            rspmp3net1.SeekTo(trackBar1.Value);
        }

        private void trackBar2_Scroll(object sender, EventArgs e)
        {
            rspmp3net1.InternalVolume(trackBar2.Value * 10);
        }





        private void button9_Click(object sender, EventArgs e)
        {
            IntPtr b = Form12.ActiveForm.Handle;
            int c = b.ToInt32();

            label6.Text = rspmp3net2.SelectFile("", "Select media file to open", "All supported files (*.mpg *.mp1 *.mp2 *.mp3 *.wav)|*.mpg;*.mp1;*.mp2;*.mp3;*.wav|All files (*.*)|*.*", "", c);

            if ("" != label6.Text)
            {
                rspmp3net2.OpenFile(label6.Text);

            }
        }

        private void button10_Click(object sender, EventArgs e)
        {
            rspmp3net2.PlayFile(label6.Text);

        }

        private void button11_Click(object sender, EventArgs e)
        {
            rspmp3net2.PausePlayback();

        }

        private void button12_Click(object sender, EventArgs e)
        {
            rspmp3net2.ResumePlayback();
        }

        private void button13_Click(object sender, EventArgs e)
        {
            rspmp3net2.CancelPlayback();

        }

        private void trackBar4_Scroll(object sender, EventArgs e)
        {
            rspmp3net2.InternalVolume(trackBar4.Value * 10);

        }

        private void trackBar1_Scroll(object sender, EventArgs e)
        {

        }

        private void trackBar3_MouseUp(object sender, MouseEventArgs e)
        {
            rspmp3net2.SeekTo(trackBar3.Value);

        }

        private void trackBar3_KeyUp(object sender, KeyEventArgs e)
        {
            rspmp3net2.SeekTo(trackBar3.Value);

        }









        private void button14_Click(object sender, EventArgs e)
        {
            rspmp3net2.NewPitchControl(true, 0, -20, 0);

        }

        private void button15_Click(object sender, EventArgs e)
        {
            rspmp3net2.NewPitchControl(false, 0, 0, 0);

        }

        private void button16_Click(object sender, EventArgs e)
        {
            rspmp3net2.NewPitchControl(true, 0, 20, 0);

        }

        private void Form12_Load(object sender, EventArgs e)
        {

        }

        private void trackBar3_Scroll(object sender, EventArgs e)
        {

        }

        private void rspmp3net1_PlayBackPosition(object Sender, PlayBackPositionEventArgs e)
        {
            trackBar1.Value = e.NewValue;

        }

        private void rspmp3net1_Progress(object Sender, MP3NetLibrary.ProgressEventArgs e)
        {
            label4.Text = "Playing Position : " + e.ProgressAsString;

        }

        private void rspmp3net1_TimePosition(object Sender, TimePositionEventArgs e)
        {
            label3.Text = "Total Time " + e.TimeAsString;

        }

        private void rspmp3net2_PlayBackPosition(object Sender, PlayBackPositionEventArgs e)
        {
            trackBar3.Value = e.NewValue;

        }

        private void rspmp3net2_Progress(object Sender, MP3NetLibrary.ProgressEventArgs e)
        {
            label9.Text = "Playing Position : " + e.ProgressAsString;

        }

        private void rspmp3net2_TimePosition(object Sender, TimePositionEventArgs e)
        {
            label8.Text = "Total Time " + e.TimeAsString;

        }
    }
}
